2008-04-20  Philip Van Hoof <pvanhoof@gnome.org>

	* These problems got highlighted during pre-release 0.0.9
	* Build environment improvements
	* Added --enable-debug=yes (default is no), 
	adds -g -ggdb -O0 -DDEBUG -DDBC to the CFLAGS
	* Added --enable-deprecated=no (default is yes),
	adds -DTNY_DISABLE_DEPRECATED to the CFLAGS
	* Removed all %-names in the Makefile.am files since these are a GNU
	make ism. There are a few remaining GNU make isms like $(subst ...)
	and $(addsuffix ...) who are to be removed / replaced soon
	* Added deprecation marker to gtk-doc-scan's command line
	* Attempt at fixing TnyHeader's documentation

2008-04-18  Jose Dapena Paz  <jose@gondomar.wired.citic.iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-device.c: add a simple hack to
	detect when we cancel the connection dialog (and then report this
	properly).

2008-04-18  Philip Van Hoof <pvanhoof@gnome.org>

	* Removed unnecessary old code rot in TnyCamelSendQueue that might
	cause a deathlock
	* Decprecated tny_send_queue_add, use tny_send_queue_add_async
	* Pre-release 0.0.9 preparations

2008-04-17  Philip Van Hoof <pvanhoof@gnome.org>

	* Corrections to reference handling for TnyCamelSendQueue
	* Removed a tny_folder_get_headers (deprecated API)

2008-04-16  José Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c
	(tny_camel_get_decoded_stream_default): now we detect errors getting
	the decoded stream from camel.
	* libtinymail-gnomevfs/tny-vfs-stream.c (tny_vfs_stream_read):
	return -1 if there was an error reading from the vfs stream.

2008-04-15  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed alerts when get-msg-async takes place to have their account
	not set to NULL
	* Moved the POP's get-msg-qasync queue to its normal interactive queue
	* Various bugfixes

2008-04-14  Philip Van Hoof <pvanhoof@gnome.org>

	* Weak referenced folders in the folder-factor methods
	* Handling uncaching the password during account finalization
	* mlock-ing the password memory of accounts
	* Uncaching of the folder-list in case of tree-changing operations
	* Experimentally nuked the caching of services ...

2008-04-11  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed a bug in case LIST and LSUB are not in agreement
	* Marking certain symbols as deprecated

2008-04-10  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed a glitch in Jose Dapena Paz's patch of yesterday
	* Added API documentation about cancelling
	* Bugfix in folder listing

2008-04-09  Jose Dapena Paz  <jdapena@iga1ia.com>

	* Added libtinymail-camel/camel-lite/camel/camel-certdb-cst.c.
	Implementation of certificates database using maemo libcst. This
	makes you can manage certificates using the maemo tablet certificate
	manager.
	
	* libtinymail-camel/camel-lite/camel/camel-certdb.h,
	libtinymail-camel/camel-lite/camel/camel-private.h: modified to
	have a pointer to the CST object in certdb and certificate id in
	certificate object in case we compile with CST support.
	
	* libtinymail-camel/camel-lite/camel/camel-tcp-stream-ssl.c:
	Modified a bit the code for proper integration with cst (mainly
	removing direct access to internal fields).
	
	* libtinymail-camel/camel-lite/configure.ac,
	libtinymail-camel/camel-lite/camel/Makefile.am:
	Added support for detection and configuration of libcst.

2008-04-07 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	* libtinymail-camel:
		- fix some compiler warnings (return in void functions)
		- move declarations to start of block
		- fix CAMEL_POP3_CAP_LOGIN_DELAY (copy-paste bug where to
		enum items had same value)
		- some g_error => g_warning
		- DELE %u => DELE %s

2008-04-07  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-common.c
	(_string_to_camel_inet_addr): fixes an small memory issue when the
	email address starts with an "<"
	* libtinymail/tny-merge-folder.c
	(tny_merge_folder_get_id): fixed a reference leak

2008-04-07  Philip Van Hoof <pvanhoof@gnome.org>

	* Refcount problem in async contexts
	* Fixing the actual problem, too

2008-04-03  Philip Van Hoof <pvanhoof@gnome.org>

	* Merged patch for upstream camel-lite bug #257361
	* Bugfix for ticket #76
	* Added some robustness code

2008-04-02  Jose Dapena Paz  <jdapena@iga1ia.com>

	* Respect better the attachment flag headers also in POP (equivalent
	to previous change in imap.

2008-04-02  Philip Van Hoof <pvanhoof@gnome.org>

	* Added a name file, just like the url_string file, to each account
	* Moved the sendqueue's outbox and sentbox under a sendqueue subdir

2008-04-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Storing certificate fingerprints in cache_dir
	* Writing a file called url_string in the account's cache dir, to make
	it more easy for searchers and meta indexers to identify this account
	* Status reporting fix for POP accounts
	* Merging with camel upstream

2008-03-31  Philip Van Hoof <pvanhoof@gnome.org>

	* Creating the POP account's cache dir when/if removed

2008-03-28  Philip Van Hoof <pvanhoof@gnome.org>

	* Cleaning up cache when canceling a POP message download

2008-03-27  Philip Van Hoof <pvanhoof@gnome.org>

	* Support for Importance header

2008-03-26  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed several problems like documentation problems in Jose's patch
	* Review of Jose's patch
	* Fixed several insignificant smaller robustness problems
	* Fixed a major leak
	* Fixed a regression due to a performance fix when moving and renaming
	Maildir folders

2008-03-26  Jose Dapena Paz  <jdapena@iga1ia.com>

	* Replace old tny_header_get_ api for strings with
	tny_header_dup_ api. This should be a bit better for
	being thread safe. Also modified code using this. The
	goal is being able to do the string copy in a lock.

	* Now moving a folder copies all the cached messages,
	but not the summaries, to avoid crashes trying to
	reuse the old summary.

	This is a major API change.

2008-03-25  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* libtinymail-gnomevfs/tny-vfs-stream.c:
	(tny_vfs_reset): Set priv->position to 0 after a successful reset

2008-03-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Replaced a GByteArray with a EByteArray

2008-03-24  Philip Van Hoof <pvanhoof@gnome.org>

	* Rewrote tny_camel_folder_remove_msgs_default
	* Added tny_folder_remove_msgs_async
	* Death-lock bugfix when canceling the sendqueue

	* This was a minor API change

2008-03-20  Philip Van Hoof <pvanhoof@gnome.org>

	* Implementation of a connect() that will timeout within 15 seconds
	for the non-SSL connection types. Experimental.

2008-03-19  Philip Van Hoof <pvanhoof@gnome.org>

	* Fast message moves when source and dest folder are both Maildir

2008-03-19  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfix when sending large E-mails to GMail's SMTP service
	* When a large mail is being sent, it takes a long time to move it
	from Outbox to Sentbox. If during that time a flush() is requested on
	the TnySendQueue, then it's possible that the message gets send twice.
	To avoid this, we mark the message as TNY_HEADER_FLAG_ANSWERED

2008-03-18  Sergio Villar Senin  <svillar@iga1ia.com>

	* Small bugfix in libtinymail-maemo

2008-03-18  Philip Van Hoof <pvanhoof@gnome.org>

	* Non-initialization of a variable caused memory corruption on the
	stack
	* Fixed race condition in case re-selecting the same folder

2008-03-17  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-folder.c:
	fixed an small memory leak and set the proper error code when a
	get_msg fails due to full memory conditions in the local storage.
	* libtinymail-camel/camel-lite/camel/camel-folder-summary.c: improved
	error notification when there are problems in the local storage

2008-03-17  Philip Van Hoof <pvanhoof@gnome.org>

	* Made tny_folder_transfer_msgs_async cancellable

2008-03-17  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-folder.c
	(message_from_data): don't free the message before evaluating
	headers. Also take into account the case we get ms has attachments but
	we don't have priority flag, for avoiding using heuristics.

2008-03-16  Philip Van Hoof <pvanhoof@gnome.org>

	* Added extra insurance that an INBOX folder will be present

2008-03-13  Philip Van Hoof <pvanhoof@gnome.org>

	* IMAP provider: bugfix when asking for a list of folders that has no
	subfolders, on Cyrus.

2008-03-12  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-gnome-desktop/tny-gnome-device.c:
	(tny_gnome_device_is_online) if we try to get the network
	state and find that the network manager context is invalid,
	we shutdown it AND after this we nullify the context
	reference.

2008-03-12  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* Reverted the "Leave on disk, MIME parsing" patch, as it's
	causing serious problems.

2008-03-11  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c:
	Now poke_status only tries to do the job if folder is
	connected/active. Should prevent getting lots of attempts to
	connect in queue that have to be finished later.

2008-03-07  Jose Dapena Paz  <jdapena@iga1ia.com>

	* tests/c-demo/tny-demoui-summary-view.c:
	Added a simple syntax to provide different parent folders
	in rename/copy operation. Now you can provide
	paths as "/newfolder", "../another-parent/folder", etc.

2008-03-06  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* tinymail/libtinymail-camel/tny-camel-mem-stream.h
	* tinymail/libtinymail-camel/tny-camel-mem-stream.c:
	Added tny_camel_mem_stream_new_with_buffer()

2008-03-06  Philip Van Hoof <pvanhoof@gnome.org>

	* Experimental improvement in locking in the POP3 provider
	* Bugfix when canceling POP summary retrieval

2008-03-06  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* debian/libtinymail-camel-1.0-0.install
	* debian/libtinymail-camel-1.0-0-dev.install:
	Install libcamel-lite

2008-03-05  Philip Van Hoof <pvanhoof@gnome.org>

	* Experimental improvement in locking

2008-03-05  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-store.c:
	(connect_to_server): we don't abort connection attempt if we get
	LOGINDISABLED but we have secure auth methods in capabilities.

2008-03-05  Philip Van Hoof <pvanhoof@gnome.org>

	* Check-for-duplicates in TnyFolderObserver and TnyFolderMonitor
	* Introduction of tny_gtk_header_list_model_set_no_duplicates
	* Introduction of tny_gtk_header_list_model_get_no_duplicates for
	completeness of language bindings who'll make getters/setters from
	this.

	* This was a minor API change

2008-03-04  Philip Van Hoof <pvanhoof@gnome.org>

	* Leave on disk, MIME parsing. Highly experimental

2008-03-04  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c:
	Now, when we get the parts of a mime part that's a message,
	we check if any part has an attachment content disposition,
	and update the attachments flag properly.
	* Moved bodystructure parser to camel, so that we
	can use it there.
	* libtinymail-camel/camel-lite/bs/bodystruct.c:
	Added missing if, to avoid fetching the header badly (and
	causing coredumps) for bodystructure strings not
	including BODYSTRUCTURE prefix.

2008-03-04  Philip Van Hoof <pvanhoof@gnome.org>

        * Attempt at making mime parsing use the seekable capability of
	streams in stead of copying them in memory. This is experimental!

2008-03-04  Philip Van Hoof <pvanhoof@gnome.org>

	* Introduction of TnySeekable
	* This is experimental

2008-03-03  Philip Van Hoof <pvanhoof@gnome.org>

	* Smaller bug fixes in the build
	* filename= encoding fixes

2008-03-03  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* debian/libtinymail-camel-1.0-0.install
	* debian/libtinymail-camel-1.0-0-dev.install:
	Removed obsolete libraries

2008-03-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixes in the POP code for POP servers that return invalid CAPA
	responses (like pop.sina.com)
	* Experimental reduction of libraries (camel-lite merged with
	camel-lite-providers)

2008-02-28  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_set_pass_func_default) reactivate the account
	always, even when we're setting the same pass func again.

2008-02-27  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-store.c:
	Now we regenerate the addrinfo on each call to connect_to_server_wrapper.

2008-02-21  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c:
	Do not lose the filename of the attachment disposition in
	case we set it as purged.

	* libtinymail-camel/tny-camel-send-queue-priv.h,
 	libtinymail-camel/tny-camel-send-queue.c:
 	Now we don't send the run-queue-stop signal until
 	we've processed all sent signals.

	* libtinymail-camel/camel-lite/camel/providers/pop3/camel-pop3-folder.c:
	Added a missing else that could cause freeing some summary info entries
	when they shouldn't

	* libtinymail-camel/camel-lite/camel/providers/pop3/camel-pop3-folder.c:
	(pop3_get_message). Now it works even if no exception parameter is passed.

2008-02-20  Philip Van Hoof <pvanhoof@gnome.org>

	* Improvement for cancel's their reconnection

2008-02-18  Philip Van Hoof <pvanhoof@gnome.org>

	* Make distcheck for the .NET bindings (finally)

2008-02-16  Philip Van Hoof <pvanhoof@gnome.org>

	* NAMESPACE vs. LIST separator for mail.h-farm.it
	* Get-Message cancels
	* Various smaller bugfixes

2008-02-15  Philip Van Hoof <pvanhoof@gnome.org>

	* Merged Alberto's cancel patch of yesterday with some minor
	corrections and committed the patch

2008-02-14  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-folder.[ch]:
	Added new attribute: cancel_occurred
	(imap_update_summary): Set cancel_occurred to TRUE when the
	operation is cancelled by the user.
	(camel_imap_folder_selected): Don't try to refresh the folder
	again if a cancel has happened.

2008-02-12  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* libtinymailui-gtk/tny-gtk-text-buffer-stream.c:
	Write only full UTF-8 characters into the GtkTextBuffer. If an
	input buffer contains incomplete UTF-8 chars, save those bytes and
	write them with the following buffer.

2008-02-11  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* libtinymail-gnomevfs/tny-vfs-stream.c:
	(tny_vfs_reset): Return 0 on success

2008-02-09  Philip Van Hoof <pvanhoof@gnome.org>

	* Crash when the IMAP server doesn't support namespaces
	* GLib Signal leakage in TnyGtkFolderStoreTreeModel
	* Various smaller fixes and code improvements
	* Has-attachment status detection improvement
	* Added a tny_mime_part_get_decoded_stream API

	* This was a minor API change

2008-02-05  Philip Van Hoof <pvanhoof@gnome.org>

	* Making the DotNet bindings actually work
	* Added a demoui written in C#

2008-02-05  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/camel.[ch]:
	Make camel_shutdown method be public, for the cases we cannot
	rely on g_atexit.
	* libtinymail-camel/camel-lite/camel/camel-tcp-stream-ssl.c:
	Modified method to calculate the fingerprint of a certificate.
	Now we use Mozilla NSS api for this as the old method was not
	reliable in some cases.

2008-02-03  Philip Van Hoof <pvanhoof@gnome.org>

	* Crashfix when retrieving a large message while expunging it from
	another E-mail client
	* Added tny_mime_part_set_transfer_encoding
	* Temporary solution for large E-mails
	* Limiting abusive mails with +3000 to, from, bcc or cc addresses to
	3000

	* This was a minor API change

2008-01-30  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/local/camel-maildir-summary.c
	(camel_maildir_get_filename): fixed the message read from a maildir
	folder, do not take into account the message flags to read the message

2008-01-30  Vivek Sekar  <viveksekar@gmail.com>
        * Cleaned up the debian/control.maemo-chinook and
	debian/control.maemo-diablo files.

2008-01-30  Philip Van Hoof <pvanhoof@gnome.org>

	* Implemented DotNet bindings

2008-01-29  Sergio Villar Senin  <svillar@iga1ia.com>
	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-folder.c
	libtinymail-camel/camel-lite/camel/camel-store-summary.c:
	Added the proper error codes when there is no enough space left on
	devices	

2008-01-29  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed reference counting for all TnyIterator implementations

2008-01-28  Philip Van Hoof <pvanhoof@gnome.org>

	* Removed the _func from all the interfaces and virtual function
	pointers in the classes. This should not be an ABI but is an API
	change.

	* This was a major API change

2008-01-28  Philip Van Hoof <pvanhoof@gnome.org>

	* Added skeleton for unfinished DotNet bindings. This wont work yet,
	it seems gapi2 is generating a few *Implementor types incorrectly.

2008-01-27  Philip Van Hoof <pvanhoof@gnome.org>

	* Various code improvements 
	* Merged camel-lite with upstream camel revision 8428

2008-01-26  Philip Van Hoof <pvanhoof@gnome.org>

	* Experimental expunge handling. Less expunging from the local
	summary will be needed, as we'll more carefully calculate which of the
	sequence vs. uids got removed. Please keep an eye on this one and
	revert in needed. This commit should reduce the "Expunged" labels that
	you might have been seeing in tny E-mail clients too.

2008-01-26  Philip Van Hoof <pvanhoof@gnome.org>

	* Workaround for a known problem that ain't easy to solve right now:
	expunged headers stay around for too long. When this is detected, a
	dummy header is returned (with as flags TNY_HEADER_FLAG_EXPUNGED)
	* Finished Sergio's API change

	* This was a major API change

2008-01-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Some IMAP servers don't instantly update sessions that where not in
	IDLE when in monitoring service IDLE received an EXISTS. Tinymail
	received that EXISTS, does a SEARCH to get the new UIDs, fetches the
	envelope information and displays it to the user. If the user had
	already received message recently, it will keep that message-receive
	socket running (cached) for some time (optimalization). The IMAP
	servers don't always bring that other session up-to-date about the new
	information acquired in the first session in IDLE. For example GMail's
	IMAP server and Exchange seem to not update the not-in-IDLE session.

	This commit changed the behaviour in two ways: the get-message service
	is early-killed in case an EXISTS line arrives in the in-IDLE session,
	each message-fetch request in the get-message service is prepended
	with a NOOP (some IMAP servers will sync the session upon NOOP).

	Obviously, this is experimental behaviour. Please test this a lot!

2008-01-23  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail/tny-send-queue.c
	libtinymail-camel/tny-camel-send-queue.c
	libtinymail-camel/tny-camel-send-queue.h
	(tny_send_queue_add_async): added this method that was available in
	the Camel implementation to the interface
	(create_worker)
	(thread_main): added the "queue-start" and "queue-stop" signals that
	are emitted before and after the queue processes the messages

	* This was a major API change

2008-01-22  Philip Van Hoof <pvanhoof@gnome.org>

	* Added support for GtkHTML in libtinymailui-gtkhtml. This is highly
	experimental and unfinished at this moment
	* Fixed several compiler warnings, and cleaned up some code

	* This was a minor API change

2008-01-21 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	
	* fix freeing uninitialized data in camel-imap-folder.c

2008-01-21  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail/tny-send-queue.c
	libtinymail/tny-send-queue.h
	libtinymail-camel/tny-camel-send-queue.c
	libtinymail-camel/tny-camel-send-queue.c:
	(tny_send_queue_cancel): API change, now the cancel method receives a
	flag specifying the action that should be performed on cancelations,
	to remove the messages or just to suspend them
	(thread_main): make the tny_transport_account_send cancellable

2008-01-20  Philip Van Hoof <pvanhoof@gnome.org>

	* Refactoring of all error reporting situations, errors and handling
	of connection failures, reconnecting and getting messages in case of a
	previous connection failure.
	* Several bugfixes related to connection failures
	* Several bugfixes related to connection problems when fetching
	messages
	* POP and IMAP now behave the same in case of connection problems
	while fetching a message (they try to re-authenticate and re-connect)
	* More finegrained error reporting (IO errors, SERVICE errors, SYSTEM
	errors and unknown errors).

	* This was a major API change for all modules

2008-01-19  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed sync when offline transfers took place

2008-01-17  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder:
	(folder_changed): removed a code that was modifying the number of
	cached messages when receiving an IDLE notification of expunged
	headers. It shouldn't be done because Camel was already giving us the
	proper value

2008-01-16  Mark Doffman  <mark.doffman@codethink.co.uk>
	* bindings/python/*.defs: Regenerate .defs files for updated API.

	* bindings/python/*.override: Add missing headers and Gtk types.

	* bindings/python/tinymail.override: Begin adding wrappers for
	callbacks.

2008-01-16  Jürg Billeter  <j@bitron.ch>

	* bindings/vala/: regenerate bindings

	* tests/vala-demo/tinymail-vala-test.vala: update demo app to build
	with Vala SVN

2008-01-16 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* fix for use of unitialized variable in decode_it function,
	which caused crashes in some cases. 

2008-01-15  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-device.c: fixes a condition that
	was preventing the callback of connect_async from being called

2008-01-15  Philip Van Hoof <pvanhoof@gnome.org>

	* Better error reporting on connection failures
	* Fix in namespace parsing when the separator was NIL

2008-01-15 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* initialize some priv-> member in TnyMaemoConicDevice

2008-01-14  Philip Van Hoof <pvanhoof@gnome.org>

	* Some aggresive memory checking revealed a few interesting memory
	leaks. This commit fixes those. The fixes are experimental, although
	most of them double checked.

	CamelOperation holds one more significant memory leak at its
	status_hack linked list. That one is not yet fixed.
	* Flag setting to 0xffff must be 0x1fff as bit 13 and 14 are system
	bits that should not be altered like that.

2008-01-13  Philip Van Hoof <pvanhoof@gnome.org>

	* Changed tny_mime_part_construct_from_stream to
	tny_mime_part_construct, added a parameter for the
	content-transfer-encoding too

	* This was a major API change

2008-01-12  Philip Van Hoof <pvanhoof@gnome.org>

	* Merged camel-lite with Camel upstream rev. 8360
	* Added an extra check around a strcmp that seems to have caused a 
	crash once
	* Size determining when adding items to a local maildir folder
	* Content-Transfer-Encoding when adding MIME parts
	* Maildir folders are always subscribed
	* Non existing UIDs when BODY.PEEK-ing

2008-01-11  Philip Van Hoof <pvanhoof@gnome.org>

	* Preparations for the new summary store
	* Made all remaining static libraries LTLIBRARIES
	* Fixed compiler warnings

2008-01-11 Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	fix typo that caused a compilation error

2008-01-10 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	
	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-store-summary:
	fix typo in camel-imap-store-summary.c which caused valgrind errors

2008-01-09  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymailui-gtk/tny-gtk-folder-store-tree-model.c:
	(creater): added some checks in order to properly detect the parent of
	the newly created folder

2008-01-09  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	
	* small fixes / cleanups for tny-maemo-conic-device

2008-01-08  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-device.c: fixed an invalid g_free
	over a previously freed field of a struct

2007-12-30  Philip Van Hoof <pvanhoof@gnome.org>

	* Performance enhancements
	* Bugfix for the bodystructure parser and per-MIME-part fetching
	* Experimental performance improvement in tny-gtk-header-list-model.c

2007-12-27  Philip Van Hoof <pvanhoof@gnome.org>

	* Updates from Camel upstream, rfc 2047 decoder

2007-12-26  Philip Van Hoof <pvanhoof@gnome.org>

	* Committed Jeffrey Stedfast's patch for Camel upstream to
	camel-mime-utils.c and camel-charset-map.c
	More information here:
	http://mail.gnome.org/archives/evolution-hackers/2007-December/msg00079.html

2007-12-24  Philip Van Hoof <pvanhoof@gnome.org>

	* Merging with Camel upstream
	* When offline, folders in namespace that had a parent that was not
	subscribed, were not accessible. This was because the parents where
	not created, as LSUB didn't list those. This patch creates the
	parents.

2007-12-23  Philip Van Hoof <pvanhoof@gnome.org>

	* Removed libtinymail-queues and libtinymail-asyncworker since those
	two libs are not going to be supported in Tinymail 1.0
	* Improvements to the NAMESPACE, LIST and LSUB things
	* Reverted decoder patch, it contains buffer overflows

2007-12-22  Philip Van Hoof <pvanhoof@gnome.org>

	* Experimental support for NAMESPACE
	* Major improvements for LIST and LSUB

2007-12-21 Felipe Erias Morandeira <femorandeira@iga1ia.com>

        * libtinymail/tny-mime-part.[hc] : changed the signature of
                tny_mime_part_write_to_stream and tny_mime_part_decode_to_stream to
                return the number of bytes written and use a GError to notify problems.
        * libtinymail-camel/tny-camel-mime-part.[hc] : adapted the functions that
                implemented the previous two functions to comply with their new
                signatures.
        * libtinymail-camel/tny-camel-bs-mime-part.[hc] : adapted the functions
                that implemented the previous two functions to comply with their
                new signatures.
        * libtinymail-camel/camel-lite/camel/providers/local/camel-maildir-store.c:
        * libtinymailui-webkit/tny-webkit-html-mime-part-view.c:
        * libtinymailui/tny-mime-part-save-strategy.c:
        * libtinymail-test/tny-mime-part-test.c:
                Small changes to use the new signatures of the two functions.

2007-12-21  Philip Van Hoof <pvanhoof@gnome.org>

	* Code robustness
	* Changed the account item of a folder to be hard referenced in stead
	of weakly

2007-12-20  Alberto Garcia Gonzalez  <agarcia@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-
	imap-command.c: (camel_imap_command_response): Set an initial 
	value to variable len
	* libtinymail/tny-store-acount.c:
	(tny_store_account_find_folder): Fixed assertion to allow
	maildir:/path/to/msg URLs

2007-12-20  Alberto Garcia Gonzalez  <agarcia@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-command.c:
	(camel_imap_command_response): Set an initial value to variable len

2007-12-20 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* tny-maemo-conic-device.c; fix for typo in
	    tny_maemo_conic_device_connect_async which could cause
	    warnings and other problems

2007-12-19  Philip Van Hoof <pvanhoof@gnome.org>

	* New documentation style, third commit (libtinymailui-gtk)
	* Implemented support for LIST-EXTENDED's SUBSCRIBED parameter
	* A fix in TnyGnomeDevice
	* Experimental improvements for LIST
	* Made the new documentation style backward compatible for gtk-doc

2007-12-18  Philip Van Hoof <pvanhoof@gnome.org>

	* New documentation style, second commit (GtkDocFuture)
	* API fixes in TnyMimePart and TnyGtkImageMimePartView
	* Fixes for the unit tests and functional tests

	* This was a major API change

2007-12-17  Philip Van Hoof <pvanhoof@gnome.org>

	* New documentation style, first commit (GtkDocFuture)

2007-12-17  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfix in tny_folder_get_folders_async
	* Bugfix in $Label1 on IMAP

2007-12-17  Alberto Garcia Gonzalez  <agarcia@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c
	(tny_camel_mime_part_add_part_default)
	(tny_camel_mime_part_get_stream_default)
	(tny_camel_mime_part_construct_from_stream_default)
	Fixed three memory leaks

2007-12-15  Philip Van Hoof <pvanhoof@gnome.org>

	* Moved the TnyFolderStoreQuery parameter in
	tny_folder_store_get_folders_async
	* Please check your E-mail clients! this is a major API change!

	* This was a major API change

2007-12-15  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed some thread-unsafe code in TnyCamelSendQueue
	* Use PR_Shutdown to cut an SSL connection
	* Fixed folder subscriptions and queries

2007-12-14  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfix in the POP support: when an item is not available remotely
	anymore, nor have we cached it locally, we remove it from the summary
	list locally.
	* Detailed progress info for BODY fetches

2007-12-13  Philip Van Hoof <pvanhoof@gnome.org>

	* Added the TnyConnectionPolicy type for coping with connectivity
	changes (for example sheduling a reconnect or asking the user what to
	do about the event of a lost connection)
	* Added two connection policies. One that retries every five seconds
	to reconnect, and recovers the state (the selected folder)

2007-12-13  Alberto Garcia Gonzalez  <agarcia@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c
	(tny_camel_mime_part_new): Fixed a memory leak	

2007-12-13  Felipe Erias Morandeira  <femorandeira@iga1ia.com>

	* Commited by Sergio Villar Senin
	* libtinymail/tny-shared.h: added TNY_PRIORITY_LOWER_THAN_GTK_REDRAWS
	a priority to notify status progress lower than Gtk+ redraws
	* libtinymail-camel/tny-camel-folder.c: replaced G_PRIORITY_HIGH by
	TNY_PRIORITY_LOWER_THAN_GTK_REDRAWS

2007-12-13  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-msg-header.c
	(tny_camel_msg_header_get_cc): the get_cc method was returning the bcc
	instead of the cc
	* libtinymail-camel/tny-camel-folder.c
	(tny_camel_folder_remove_msg_default)
	(tny_camel_folder_remove_msgs_default)
	(tny_camel_folder_transfer_msgs_async_thread): update the local size properly when
	removing or transferring messages

2007-12-12  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: load camel folder before
	getting the url string of it.
	* libtinymail-camel/tny-camel-msg-header.c: now the decorated header
	can be added with g_object_ref or a weak reference.
	* libtinymail-camel/tny-camel-folder.c: now the TnyCamelHeader we
	use to retrieve the message in find_msg is constructed from summary. 
	This is created in a way it's persistent, and then, we can access
	properly to the summary flags. We also eturn null and set error if
	message is not in summary.
	* libtinymail-camel/tny-camel-full-msg-receive-strategy.c
	libtinymail-camel/tny-camel-partial-msg-receive-strategy.c:
	use the new TnyCamelMsgHeader decorator api.
	* Fixed minor build issues.

2007-12-12  Philip Van Hoof <pvanhoof@gnome.org>

	* Experimental appending in stead of rewriting the summary.mmap

2007-12-11  Philip Van Hoof <pvanhoof@gnome.org>

	* Repeated the bugfix of Sergio to the other locations where the same
	technique was wrongfully used.

2007-12-11  Milko Krachounov <milko@3mhz.net>

	* Committed by Philip Van Hoof
	* Bugfix in TnyGtkTextBufferStream

2007-12-11  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c:
	Fixed an small leak when notifying folder observers	
	* libtinymail/tny-folder.[ch]
	libtinymail/tny-shared.h
	libtinymail-camel/tny-camel-folder.[ch]
	libtinymail-camel/tny-camel-store-account.[ch]:
	Added a new function tny_folder_store_create_folder_async that creates
	folders asynchronously

2007-12-09  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* optimization :) for NULL strings in decode_it 

2007-12-08  Jürg Billeter  <j@bitron.ch>

	* bindings/vala/README: Add some information about the Vala bindings

2007-12-08  Jürg Billeter  <j@bitron.ch>

	* bindings/Makefile.am:
	* bindings/vala/:
	* configure.ac:
	* tests/Makefile.am:
	* tests/vala-demo/Makefile.am:
	* tests/vala-demo/tinymail-vala-test.vala:

	Add experimental Vala bindings and test application, disabled by
	default.

2007-12-08  Jürg Billeter  <j@bitron.ch>

	* libtinymail/tny.h, libtinymailui/tnyui.h: remove internal files

2007-12-08  Jürg Billeter  <j@bitron.ch>

	* ChangeLog: use UTF-8 for all entries

2007-12-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed the BODY fetcher to cope with unsolicited responses
	* Fixed decoding of message headers in TnyMsg type

2007-12-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merged all of devel/pvanhoof/bs branch back
	* Disabled the bodystruct mime part and fetching for now
	* Made the bodystructure stuff optional. The configure magic is
	--enable-imap-part-fetch

2007-12-04  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-send-queue.c:
	Mark all sent messages as seen just before moving them
	to sentbox.

2007-12-03  Loïc Minier  <lool@dooz.org>

	* m4/moz.m4 (AC_TNY_MOZ_CHECK):
	Add configure flags to force pkg-config modules for xpcom,
	gtkmozembed, nss, and nspr.

2007-12-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merge from devel/pvanhoof/bs branch
	
2007-11-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix for ticket #72
	* Workaround for a known but unfound bug: don't register observers
	twice.
	* Tryout bugfix for an invalid memory access (I think the problem was
	incorrect locking while a list was being destroyed)
	* Fixed tny_camel_account_set_online

2007-11-29  Philip Van Hoof  <pvanhoof@gnome.org>

        * Backporting stable things from the devel/pvanhoof/bs branch to trunk
	* Added TnyGtkExpanderMimePartView. This type is advised to be used
	with for example TnyGtkImageMimePartView and other mime parts that are
	known to be large (in a future branch (devel/pvanhoof/bs) will this
	construction make sure that you don't download the part's content
	until you expand the expander).

2007-11-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Backporting stable things from the devel/pvanhoof/bs branch to trunk

2007-11-28 Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-dummy-device.c
	Fixed a g_signal_connect which was receiving an invalid user_data
	The device now gets the connection status correctly when it's created
	and no longer reports false connection status changes after 1 second

2007-11-26 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
	
	* add a dummy conic device, so libtinymail-maemo does
	  not require libconic anymore

2007-12-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merging with trunk

2007-12-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed tny_mime_part_add of TnyCamelMimePart to fully cope with alien
	mime parts

2007-11-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merging with trunk

2007-11-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed mime part purging
	* Fixed status information notifying
	* Added TnyGtkExpanderMimePartView

2007-11-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Several fixes. in the bodystructure parsing
	* Several fixes in the mime part handling
	* Changed the API of mime part viewers to have a status
	callback.

	* This was a major API change in libtinymail and libtinymailui

2007-11-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Branchpoint bodystructure work

2007-11-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* Using the LOGIN-DELAY of a POP server
	* If LOGIN-DELAY is not given, use 300 seconds as default timeout for
	POP servers
	* Reconnect after the timeout has expired

2007-11-22  Philip Van Hoof  <pvanhoof@gnome.org>

	* Refactored TnyCamelQueue to make more sense
	* Fixed a bug if a message was not available and whe are offline with
	POP accounts
	* Removed unneeded removal of observers (they are weak referenced)
	* Update local_size after getting messages
	* Fix for when you remove something from GMail's webpage, and then
	click on later E-mails (for POP accounts)
	* Fixed regression bug in the TnyCamelQueue refactoring

2007-11-21  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix: the necessity of depth is old, and probably not needed
	anymore. On top of that have I seen backtraces where a g_idle is not
	used where it should be.

2007-11-21  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/pop3/camel-pop3-folder.c:
	(cmd_tocache, cmd_tocache_partial). Modify the attachments detection
	heuristics to avoid false positives on processing html messages with
	meta name.

2007-11-21  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-account.c:
	(on_set_online_done): do not execute the user callback in an idle
	if the connection was cancelled in order to prevent a hang of the
	main loop

2007-11-20  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c:
	(folder_changed): update the total count as well as the unread
	count when there is a change in the folder

2007-11-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix makes ENABLE not happen if login failed
	* Completed the implementation of TnyMergeFolder, shortened its locks
	and made it possible to provide a ui-locker. Also, locking the ui
	context at the right times.

2007-11-20  Steve Kowalik  <stevenk@ubuntu.com>

	* Bugfix for Ubuntu packages

2007-11-19  Philip Van Hoof  <pvanhoof@gnome.org>

	* IMAP protocol bugfix during Lemonade interop, bug found while
	testing with Arnt's IMAP server
	* Implemented a image/* viewer

2007-11-16  Matthew Barnes  <mbarnes@redhat.com>

	* Merge from upstream to camel-lite (upstream revision 8219)
	* Merged by Philip Van Hoof, bug found by Milan Crha

	* camel-spool-store.c (free_folder_info):
	Missed that CamelSpoolStore has its own free_folder_info()
	implementation (why?).  Change it to use g_slice_free().

2007-11-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* The cache deleter. A little bit of rework
	* Hardening Tinymail a little bit

2007-11-16  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/local/camel-maildir-folder.c:
	Now rewrite folder gets the filename of the messages to rewrite from the
	message info instead of using simply the message uid.

2007-11-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix in TnyGtkFolderStoreTreeModel: the signals where not being
	disconnected when the instance finalised.
	* Disconnecting signals
	* Cache deleter must also unreference the service instance
	* Cache deleter must make sure that summary of folder instances is
	not written anymore

2007-11-15  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_connect):
	(tny_maemo_conic_device_connect_async): added a new parametter called
	user_requested that specifies whether or not the connection was
	requested by an user or by an automatic system (like a daemon). This
	allows the connection not to succed when the device is sleeping.

2007-11-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* Updating attachment flags after downloading of message
	* Bugfix, bug detected by Milan Crha (alloc must be a alloc0)
	* Fixed a crasher

2007-11-15  Matthew Barnes  <mbarnes@redhat.com>

	* Mark a bunch exception messages for translation.
	* A few new argument guards here and there (e.g. g_return_if_fail).
	* Tons of little whitespace and coding style fixes.

2007-11-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* Changed a hard reference into a weak reference, although I'm not
	sure that this was necessary.
	* Fixed two bugs: first that for transport-account the
	tny_camel_account_set_online's callback was never called for, second
	that the TnyCamelSendQueue was making TnyCamelFolder crash since
	yesterday's reference count fixes

2007-11-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Weak references for TnyHeader instances in TnyCamelMsgHeader
	* Reference counting mistakes in TnyGtkFolderStoreTreeModel
	* Reference counting mistakes in TnyGtkAccountListModel

2007-11-12  Vivek Sekar  <viveksekar@gmail.com>

	* Renamed the control files with respect to the new maemo versions.

2007-11-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* Tryout lockup fix

2007-11-09  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-maemo/tny-maemo-conic-device.c: 
	Added a new API to allow asynchronous connections
	in the Maemo conic device. This patch is a new version of an initial
	patch developed by pvanhoof with some changes.
	Splitted the Maemo connic device in two files, one for the actual
	device and the other one for a dummy device (useful for sbox devel)
	Fixed a problem when linking the maemo conic device 
							
2007-11-08  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-common.c:
	(split_recipients): now we strip the obtained addresses to
	avoid adding unmeaningful spaces to addresses.

2007-11-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* Backported changes from Pre release 0.0.4 preparations
	* Simulated weak references in TnyGtkFolderStoreTreeModel for the
	observers
	* Cyclic references fix. tny_folder_store_add_observer and
	tny_folder_add_observer no longer add strong references, in stead they
	add weak references

	* Fixed longstanding bug that when you create two folders A and B in a
	root folder C, and then move A into B, that A would only become a
	subfolder of B after you restart the application. The problem was that
	A and B got created with _tny_camel_folder_new in stead of the
	tny_camel_store_account_factor_folder. This made the observers
	infrastructure of the model confuse when a new list of folder was
	requested (this new list would use the tny_camel_store_account_factor_folder
	function and therefore another (new) instance would get created in
	stead of the one created during _tny_camel_folder_new being reused.

	For future, let's be extremely careful not to use
	_tny_camel_folder_new but in stead to make sure that the factory is
	always used.

	* This is a major API change

2007-11-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Some problems fixed in TnyGtkFolderStoreTreeModel when moving
	folders around into newly created folders
	* Minor corrections when creating and moving folders
	* Bugfix when copying a folder into its own store under another name

2007-11-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Rare but possible race condition when creating the IDLE thread,
	marked the sections as critical by locking them.
	* Check for folder==NULL in imap-command
	* Rare but possible race condition when refreshing POP folders
	* Introduction of tny_list_remove_matches. This is automatically
	implemented if absent.
	* Usage of tny_list_remove_matches to avoid duplicates in the
	TnyFolderMonitor
	* USage of tny_list_remove_matches to implement expunge removals in
	the TnyFolderMonitor

	* This was a minor API change

2007-11-05  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	
	* Don't leak an fp in md5_get_digest_from_file

2007-11-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merged with upstream Camel revision 8186
	* Merged bugfix http://bugzilla.gnome.org/show_bug.cgi?id=430420
	* Fixed a warning during the build procedure, detecting Mozilla
	version

2007-11-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix when renaming or moving a local folder. Not all of its sub-
	folders where recreated (if the flags where 0, CamelStore's 
	camel_store_get_folder_info returned an iter with only one child in it.
	Either it should return no childs or all childs. I adapted Tinymail to
	request all childs. This is tny-camel-folder.c:3084 (under the was_new
	if). Please keep an eye on this one!

2007-11-01  Philip Van Hoof  <pvanhoof@gnome.org>

	* GHost items when renaming a local folder, fixed
	* Date-Received date = Date header for messages that never got
	received (like newly created messages in a Draft folder)
	* Introduction of tny_gtk_folder_store_tree_model_stop_observing
	* Introduced locking for OpenSSL
	* Added a virtual create_header_view_func to TnyGtkMsgView

	* This was a minor API change

2007-10-31  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* Ignore priority flags in tny_camel_msg_header_unset_flag()
	* Remove the X-Priority header in set_prio_mask() instead of
	tny_camel_msg_header_set_flag()

2007-10-31  Philip Van Hoof  <pvanhoof@gnome.org>

	* \NoSelect folders should never get a STATUS request, fixed
	* Documentation clarification about priority and flags
	* Renamed tny_header_set_flags to set_flag, same for unset
	* Lowered the number of TOPs before incrementally filling up of the
	headers model happens for POP

	* This was a major API change

2007-10-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improvements to the AUTHORS file. Authors can obviously notify
	me if they want their description improven or removed.
	* Using the SSL negotiated timeout time for IDLE's recycle (undone)
	* Undone last timeout change, set it to 27 minutes fixed for IMAP
	
2007-10-29  Jose Dapena Paz  <jdapena@iga1ia.com>

	* Fix: now we don't unset the priority flag on setting or
	  unsetting other flags.

2007-10-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Introduction of tny_gtk_msg_window_set_view

	* This was a minor API change

2007-10-26  Alberto Garcia Gonzalez <agarcia@iga1ia.com>

	* Parse the X-Priority flag correctly, and allow values of 2 and 4

2007-10-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* X-Priority flag writing fixed

2007-10-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* Corrections for the priority flags
	* Memory leak fix in CamelImapCommand, found by Dirk-Jan
	* Freeing of recursive locks, especially the ones that we allocated
	ourselves

	* This was a major API change

2007-10-24  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improvements for the IDLE support. The Nonblocking read is now
	actually used correctly, various racy situations should be fixed now
	and instant event throwing is put in place (during IDLE state).
	* Removed the (*read_idle) funcptr from CamelTcpStream, as this is no longer
	required. This to reduce the complexity of the IDLE patch so that we
	can later, perhaps, more easily bring this feature to upstream Camel.
	* Updating unread and total count if necessary (due to IDLE events)
	* Fixed the normal-priority flag ni Maildir

2007-10-23  Philip Van Hoof  <pvanhoof@gnome.org>

	* Reference count problem in TnyCamelHeader
	* priv->folder_name in TnyCamelFolder sometimes is NULL, which
	doesn't seem right (and is racy).
	* Improvements for the IDLE support. The Nonblocking read is now
	actually used correctly, various racy situations should be fixed now
	and instant event throwing is put in place (during IDLE state).
	* Removed the (*read_idle) funcptr from CamelTcpStream, as this is no longer
	required. This to reduce the complexity of the IDLE patch so that we
	can later, perhaps, more easily bring this feature to upstream Camel.

2007-10-19  Philip Van Hoof  <pvanhoof@gnome.org>

	* Avoiding the second capability request, eliminating roundtrips when
	connecting. If LOGIN returns a capability response, we assume this one
	is complete enough to continue. The AUTH= ones are not relevant
	anymore as we've authenticated anyway (most IMAP servers don't include
	the AUTH= capabilities in the LOGIN's response).
	* Restarting IDLE when needed
	* Restoring the selected folder if possible after a reconnect
	* Reverted camel-operation.c to rev 2823 for my good friend Sergio
	* Locking issue, fix is experimental
	* A fix for normal CONDSTORE

2007-10-18  Philip Van Hoof  <pvanhoof@gnome.org>

	* Operation notifactions no longer wait for 4 seconds to group them
	together. This is experimental. Uncomment line 620 of
	camel-operation.c to undo this.
	* Added a -DMERGEFOLDERTEST that will perform a test for
	TnyMergeFolder
	* Implemented a small test that makes it possible to transfer messages
	from one folder to another using the demoui
	* Removed a few invalid assertions
	* Unread count upon IDLE events
	* Implemented QRESYNC for IMAP4 servers that already implement it:
	http://tools.ietf.org/html/draft-ietf-lemonade-reconnect-client-06
	* Unread count problems with TnyMergeFolder
	* Removed use of strcasestr, replaced with own implementation
	* non-case sensitivity of IMAP responses
	* Various memory problem fixes

2007-10-17  Philip Van Hoof  <pvanhoof@gnome.org>

	* Made sure that the standard Maildir format also works (with the ':'
	as flag separator character). The standard for Tinymail, though, is to
	use the '!' character (fallback when reading is ':').
	* Made the sizes of Maildir E-mails more accurate (using stat())

2007-10-17  Vivek Sekar  <viveksekar@gmail.com>

	* Added microb-engine-dev and changed the debug architecture to 'any'
	in debian/control.maemo1.

2007-10-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed regression on the regression fix of a few days ago :)
	* Renamed Maildir filenames to have '!' in stead of '_' or ':' in
	their filenames

2007-10-15  Jose Dapena Paz  <jdapena@iga1ia.com>

	* Some fixes to mozembed build.
	* Disable mozembed packages build in maemo.

2007-10-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Regression on yesterday's summary related patch. Fixed
	* Regression on yesterday's mime part parser patch. Fixed

2007-10-11  Philip Van Hoof  <pvanhoof@gnome.org>

	* iconv error situation handler
	* Bugfix when the summary file was not yet created for a Maildir

2007-10-10  Jose Dapena Paz  <jdapena@iga1ia.com>

	* m4/moz.m4: add support for gtkmozembed library using gtkembedmoz.pc.
	Also export mozilla_home.
	* debian/rules.maemo: compile with mozembed support.
	* debian/control.maemo1: compile with mozembed support.
	* tests/c-demo/tny-main.c: remove mozilla calls in main.
	* configure.ac: some fixes for html module detection. Use mozilla home.
	Now we only use detection of xpcom for being sure we've got an engine
	path.
	* Removed libtinymailui-mozembed/mozilla-preferences.{cpp,h}, as we now
	use gtk moz embed api to set preferences.
	* libtinymalui-mozembed/Makefile.am: removed mozilla preferences from
	build.
	* libtinymailui-mozembed/tny-moz-embed-html-mime-part-view.c:
	Now we use gtk moz embed to set preferences. We also set properly the
	component path (mozilla home from used engine), and the profile path
	(using the progname). We set a default chrome without scrollbars.

2007-10-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merged camel-mime-utils.c with uptream Camel

2007-10-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Backported a patch from Niels Christens on Camel to Camel-Lite. The
	patch fixed the behaviour when the server expects a TLS HELLO, while
	SSL version 2 is used.
	* Merged camel-lite with upstream Camel revision 8099
	* Merged bugfix from Matthew Barnes. More information here:
	http://bugzilla.gnome.org/show_bug.cgi?id=437331
	* Changed the address of FSF in the copyright notes
	* Further merging upstream Camel with camel-lite

2007-10-04  Philip Van Hoof  <pvanhoof@gnome.org>

	- -Wall warnings
	- -pedantic warnings
	- TnyCamelSendQueue should not error if the TnyDevice went offline
	- Bugfixes in TnyGtkFolderStoreTreeModel

2007-10-03  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail/tny-merge-folder.c:
	(tny_merge_folder_get_id): fixed id generation. We
	were setting this with a fixed value always due to
	an error in initialisation. Now we calculate an
	id with the merged folder id's and their account
	id's.
	(tny_merge_folder_get_url_string): created 
	implementation. Now it gets the merge folder id
	as part of the url string with this format:
	"merge://ID"

2007-09-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Unsigned integers can't be < 0

2007-09-26  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-common.c,
	(_foreach_email_add_to_inet_addr): now we don't use
	strtok_r() to split the string to addresses, as we
	weren't taking into account the quotes. I implemented
	a new _split_recipients() method that takes quotes
	into account.
	(_string_to_camel_inet_addr): now we remove the quotes
	in the name part of an address, as they are added by
	camel part automatically.

2007-09-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed (avoided) a memory leak in saving CamelObject's states
	* Sending messages, some fixes for the CC and BCC fields
	* Date-Received on maildir was foobar

2007-09-25  Mark Doffman <mark.doffman@codethink.co.uk>
	
	* /bindings/python/*: Remove the platform generation
	from the automatically generated bindings. 

	* /bindings/python/README: Update for changes to the way
	the python bindings are generated.
	
	* /tests/python-demo/*: Add implementations of a tny-list
	iterator, platform factory, and account store. Update the 
	svn ignore to ignore the compiled python files. 

	* /tests/python-demo/tinymail-python-test.py: Modify to use
	the python implementation of the platform factory.
	
2007-09-24  Philip Van Hoof  <pvanhoof@gnome.org>

	* Local-size updates after sync, sync_async and add_msg and
	add_msg_async

2007-09-20  Dirk-Jan C. BInnema <dirk-jan.binnema@nokia.com>

	* depend on / use NSS for debian builds for maemo
	* fix some tny mem leaks

2007-09-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a possible too-early cleanup of the account

2007-09-18  Mark Doffman <mark.doffman@codethink.co.uk>

	* bindings/python/*defs: Updated to reflect changes
	in tny_gtk_header_list_model_set_folder and additions
	to the tinymail library.

	* bindings/python/Makefile.am: Added a generated file to 
	the CLEANFILES to fix release problems.

2007-09-18  Sergio Villar Senín  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: fixed an issue when
	transferring folders, the CamelFolderInfo of the parent of the folder
	that is moved is now NULLized.

2007-09-18  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a possible crash when renaming folders

2007-09-17  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/local/camel-maildir-folder.c:
	Add implementation of method rewrite_cache for maildir,
	so that we can implement also purge in maildir.

2007-09-17  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added callback, status_callback and user_data to
	tny_gtk_header_list_model_set_folder
	* Added a canceled parameter to the TnyCamelSetOnlineCallback

	* This was a major API change

2007-09-17  Mark Doffman  <mark.doffman@codethink.co.uk>

	* /bindings/python/gendefs/defsgen.py:
	Modify so that only non-virtual methods can be 
	generated.

	* /bindings/python/gendefs/Makefile.am:
	Generate virtual method definitions for Tinymail
	and Tinymailui libraries.

	* /bindings/python/*.defs: Include virtual method
	definitions. All Tinymail and Tinymailui interfaces
	are implementable. 

	* /bindings/python/*.override: I add type definitions
	to fix bindings compilation problems when used with    
	updated .defs files.

2007-09-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* TnyCamelSendQueue's sent-msg signal emission (some corrections)
	* Small locking problem when requesting the unread-count of a
	TnyCamelFolder
	* Disconnecting the old settings if new settings are set and
	tny_camel_account_set_online is issued (experimental)
	* Crash fixes when alerting 

2007-09-13  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail/tny-folder.c: Remove assertion that expects folder 
	names to have 1 character at least (at least in my IMAP server 
	we've got empty strings as valid imap folders).

	* libtinymail-camel/tny-camel-msg-header-priv.h: Add internal API
	to set a decorated header (at least for updating flag values).
	
	* libtinymail-camel/tny-camel-msg-header.c: Now we can set an 
	internal decorated TnyHeader instance. For flags operations, 
	we'll set/unset/get also the decorated header.
	
	* libtinymail-camel/tny-camel-partial-msg-receive-strategy.c: Now
	we set the folder header as decorated by the msg header. This way 
	the flags are set correctly in folder when we set a flag from the 
	header obtained from the message.
	
	* libtinymail-camel/tny-camel-full-msg-receive-strategy.c: Now we 
	set the folder header as decorated by the msg header.


2007-09-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Unread count improvements for IMAP folders
	* Unread count improvements for POP folders
	* Marking messages that can't be found anymore as expunged on POP
	* Fixed compilation errors in NSS support
	* Added user_data parameter to tny_camel_account_set_online



2007-09-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* POP improvements, retrying when failed
	* Fixed a locking problem

2007-09-11  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix when determining Push E-mail capabilities
	* The service pointer of the OpenSSL stream implementation is now
	available in the alert functions
	* Performance improvement in POP3's sync operation
	* The CACHED and PARTIAL flags of received messages

2007-09-10  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix when deleting a local folder
	* Cyclic reference adding, fixed in TnyCamelFolder and
	TnyCamelStoreAccount
	* Added add_msg_async for TnyMergeFolder
	* Coping with Maildir folders that miss subfolders
	* Bugfix when deleting last E-mail of a POP folder
	* Coping with large POP folders

2007-09-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Error reporting and retrying when there are problems while getting
	messages. Including insufficient disk space while writing the caches.

2007-09-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix for POP folders (content building not needed and causes some
	crashers)
	* Error handling and reporting when the filesystem is full
	* Counting unread items was wrong, fixed
	* Introduction of tny_camel_folder_get_full_name
	* Removal of tny_camel_folder_get_folder

	* This was a minor API change

2007-09-06  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-store-account.c: fixed a problem in the
	notification of a folder removal that could cause a SIGSEV when
	deleting a tree of folders with messages.

2007-09-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed folder renames for local folders
	* Fixed a bug about keeping folders open

2007-09-04  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account.h: Change the 
	TnyCamelGetSupportedSecureAuthCallback callback to provide a
	GError* instead of a GError**, because it is not an output parameter.
	* libtinymail-camel/tny-camel-account.c: (on_supauth_idle),
	(tny_camel_account_get_supported_secure_authentication_async_thread
	), (tny_camel_account_get_supported_secure_authentication):
	Adapt to the change, propagating GErrors up to the callback.

2007-09-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a problem when folder creation failed: observers where
	nevertheless notified about a folder creation in this case

2007-09-04  Mark Doffman  <mark.doffman@codethink.co.uk>

	* bindigs/python/*: restructuring the Python language bindings

2007-09-04  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_set_url_string_default),
	(tny_camel_account_set_name_default),
	(tny_camel_account_set_id_default),
	(tny_camel_account_set_secure_auth_mech_default),
	(tny_camel_account_set_proto_default),
	(tny_camel_account_set_user_default),
	(tny_camel_account_set_hostname_default),
	(tny_camel_account_set_port_default),
	(tny_camel_account_set_pass_func_default),
	(tny_camel_account_set_forget_pass_func_default): Check that the input 
	is differnt to the existing value, to avoid unnecessarily signalling that 
	the account has changed.

2007-09-04  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* Fixed bug in update folder observers call, creating 
	the new change object to propagate it to observers.
 
2007-09-04  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: fixed the default function
	used to implement the get_local_size interface

2007-09-04  Vivek Sekar  <viveksekar@gmail.com>

	* Added AC_CONFIG_AUX_DIR(.) to
	libtinymail-camel/camel-lite/configure.ac : fixes a maemo integration
	build error.
	
2007-09-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a possible race condition in CamelMultiPart
	* Fixed thread stack leakage on threads that are joinable but never
	joined
	* Major changes in TnyFolderStoreQuery and TnyFolderStoreQueryItem.
	Support for non-regular expression matches and case insensitive
	matching added.

	* This was a major API change

2007-09-03  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a filedescriptor leak when there are no items in a folder, on
	summary.mmap
	* Changed the Copyright of tny-vfs-stream.c: the original is not
	really recognizable anymore so it shouldn't copy the copyright of the
	original as this is not a copy anymore.
	* Date, Received, INTERNALDATE: fixes 
	* Fixed filedescriptor leaks with local folders
	* Fixed online command attempts when password got cancelled
	* Fixed a deadlock when sending failed
	* Fixed some things in TnyCamelSendQueue
	* Removed a unnecessary API

	* This was a major API change

2007-09-03  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* Add a new API function, tny_send_queue_add_async to define
	user and status callbacks for messages transfer to outbox 
	folder. 

2007-09-03  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail/tny-merge-folder.[ch]: added two new functions
	tny_merge_folder_remove_folder
	tny_merge_folder_get_folders

	This is a major API change

2007-08-29  Armin Burgmeier  <armin@openismus.com>

	* libtinymail-camel/tny-camel-account.c
	(tny_camel_account_get_supported_secure_authentication_async_thread):
	Call the prepare_func vfunc before asking camel to ask the server for
	auth types so priv->service is set.

2007-08-31 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	
	* Fix tny_camel_msg_header_date_(sent|received):
		- don't try to normalize to GMT (camel already does that)
		- only use Date: for received if not received date is found
	* don't try to disconnect from conic if the IAP == NULL, as that
	  causes a segfault

2007-08-29 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Set the correct X-Priority: header values, and parse the correct
	  as well (1 (Highest), 2 (High), 3 (Normal), 4 (Low), 5 (Lowest))

2007-08-28  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* Added a new API function in TnyFolder class: tny_folder_remove_msgs. 
  	This function allows to remove several messages in a single camel 
	operation, avoiding to call excesive times to folder observer 
	notification. 

2007-08-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* Reading dnsmasq's resolv.conf files to know whether or not we are
	initially online or not in libtinymail-maemo/tny-maemo-conic-device.c

2007-08-15  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_force_offline): Fix a compiler warning 
	about an unused variable.

2007-08-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improved the TnyMaemoConicDevice a bit
	* Making TnyMaemoConicDevice wait five seconds before proxing the
	emission of a connection-change as a Tinymail signal. It seems that
	there are various states of "being online" for Conic. You are quite
	early notified of being online: sometimes before the dhcp client
	managed to fill-in resolv.conf, causing hostname lookup failures as
	Tinymail as soon as possible tried to go online. With the five seconds
	delay we are hoping that the device will have setup all right by the
	time Tinymail attempts to go online. Please monitor this behaviour in
	future and review carefully.

2007-08-15  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_instance_init): Change the is_online default 
	to TRUE.
	* This is a hack that fixes a problem
	* (Our signal is not emitted before the gtk mainloop is started, 
	* because we use an idle handler for that and we don't know how to 
	* detect when the mainloop has not yet started.
	* The downside is that we now don't know that we are really offline,
	* so we can't ask the user to go online.
	* This must be fixed properly.

2007-08-15  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c: (conic_emit_status):
	Do not check for a running mainloop, because we know of no working 
	way to do this, and it causes hangs if we never use the idle handler.
	See the comments in the code.

2007-08-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* Moved the conic tests to a subdirectory

2007-08-15  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(conic_emit_status_idle), (conic_emit_status):
	If no mainloop is running (for instance, before gtk_main_run()), 
	just emit without using g_idle_add(). Hopefully this will cause the signal 
	to be emitted early enough - when tinymail needs is_online() to be correct. 
	See the comments to see why this is OK for tinymail.

2007-08-14  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_connection_event), (tny_maemo_conic_device_get_iap):
	Fixed a compiler warnings and a build fix when building for the device. 

2007-08-14  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_instance_init): Initialize is_online before 
	forcing the on_connection_event() signal handler to be called, not after,
	which could explain why is_online sometimes seems to be false at the start 
	when it should not be.

2007-08-14  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_transfer_msgs_default): Remove unused err variable 
	to fix a compiler warning.
	* libtinymail-maemo/tny-maemo-conic-device.c: Formatting/syntax 
	changes requested by Philip.

2007-08-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* Recursively removing local directories
	* Smaller bugfixes and performance improvements
	* Enhanced error reporting in the async operations
	* Dealing with certain states (where priv->folder is uninitialized) in
	the async operations
	* Moving observer notifies away from transfer-msgs
	* Moved the io_lock a bit tighter for CamelStoreSummary

2007-08-14  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account-priv.h:
	* libtinymail-camel/tny-camel-account.c:
	(_tny_camel_account_refresh),
	(_tny_camel_account_start_camel_operation_n),
	(_tny_camel_account_actual_cancel), (on_supauth_idle):
	* libtinymail-camel/tny-camel-folder.c: (load_folder_no_lock),
	(tny_camel_folder_add_msg_async_thread),
	(tny_camel_folder_add_msg_async_default),
	(tny_camel_folder_add_msg_default),
	(tny_camel_folder_sync_async_default),
	(tny_camel_folder_refresh_async_default),
	(tny_camel_folder_get_headers_async_thread),
	(tny_camel_folder_get_headers_async_default),
	(tny_camel_folder_get_msg_async_callback),
	(tny_camel_folder_get_msg_async_default),
	(tny_camel_folder_copy_async_default),
	(tny_camel_folder_transfer_msgs_async_callback),
	(tny_camel_folder_transfer_msgs_async_default),
	(tny_camel_folder_get_folders_async_thread),
	(tny_camel_folder_get_folders_async_default):
	* libtinymail-camel/tny-camel-queue.c: (thread_main):
	* libtinymail-camel/tny-camel-store-account.c:
	(tny_camel_store_account_get_folders_async_thread),
	(tny_camel_store_account_get_folders_async_default),
	(_tny_camel_store_account_queue_going_online):
	* libtinymail-maemo/tny-maemo-account-store.c:
	* libtinymail-maemo/tny-maemo-conic-device.c:
	(dummy_con_ic_connection_connect_by_id),
	(on_dummy_connection_check):
	* libtinymail-maemo/tny-maemo-device.c:
	(tny_maemo_device_instance_init), (tny_maemo_device_finalize):
	* libtinymail-maemo/tny-maemo-platform-factory.c:
	(tny_maemo_platform_factory_finalize):
	* libtinymail/tny-merge-folder.c: (get_msg_async_thread):
	* tests/c-demo/tny-demoui-summary-view.c:
	(on_header_view_tree_row_activated):
	Avoid compiler warnings, such as unused variables, functions without 
	returns, and unused functions. Tinymail now builds with -Wall -Werror 
	again.

2007-08-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improvements in notifying the observers when removing folders
	* Improvements when deleting items
	* When deleting items from a POP, notifying observers
	* Detecting remotely removed objects on POP
	* Not using the too high level subscribe API (which causes unrequired
	signal emissions)
	* Fixed a few memory problems in TnyCamelStoreAccount

2007-08-10  Philip Van Hoof  <pvanhoof@gnome.org>

	* Enhancements in the POP code, when removing and expunging items

2007-08-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* Async operations can now be queued while a connection is being made
	* Enhancements to tny_folder_add_msg and tny_folder_add_msg_async
	* Some improvements when getting a folder list

2007-08-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* Code cleanups in TnyCamelSendQueue
	* Introduction of tny_folder_add_msg_async
	* Better handling of offline (because service is unavailable) cases
	* Making TnySessionCamel's maildir folders behave a bit better
	* Using tny_folder_add_msg_async in tny_camel_send_queue_add_default

	* This was a major API change

2007-08-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Consistency in the async callback APIs
	* Cleaning up in case of cancels
	* Making sync_async cancellable
	* Error reporting fixes

	* This was a major API change

2007-08-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* GDK lock awareness
	* More conservatism about reconnecting
	* Fixed a few locking problems with POP
	* Callbacks and destroynotifies of cancelled-removed items
	* Fetching of folders happens in a queue item now

2007-08-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Reintroduction of cancellation support (this is experimental)
	* Timezone fix in the summary (remove your caches)
	* Making tny_account_cancel actually work, or at least a little bit
	better than before this commit (cleaning up the queue a bit)

2007-08-01  Philip Van Hoof  <pvanhoof@gnome.org>

	* Reconnect hang fix
	* Invalid cancelled warning fix
	* Tryout fix (I know this doesn't sound very promising) for password questions
	on the mainloop (POP can cause this, in case of an auth error during
	sync operation's reconnect)
	* Added the changed signal to TnyAccount
	* Making tny_account_set_name get propagated to the TnyGtkFolderStore- 
	TreeModel instance.
	* Fixed a kludge in the TnySessionCamel for POP accounts with wrong
	passwords

	* This was a major API change

2007-07-31  Philip Van Hoof  <pvanhoof@gnome.org>

	* Introduction of tny_folder_get_headers_async
	* Adaptation of TnyGtkHeaderListModel to use the new API

	* This was a major API change

2007-07-31  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merging back devel/pvanhoof/sessionwork to trunk/

2007-07-31  Philip Van Hoof  <pvanhoof@gnome.org>

	* Cleaning up, coding style fixes
	* Review of TnyCamelFolder and TnyCamelStoreAccount

2007-07-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Various fixes that make Modest actually work with this

2007-07-30  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* Fixed some bugs in TnyMergeFolder notification function. This
        method was overwriting data into old change, rather than use the 
	new_change structure to propagate changes to observed folders.

        * Fixed bug in TnyCamelSendQueue related with msg-sent signal
	emision. Now, when an error has detected, msg-sent is not emited.

2007-07-27  Murray Cumming  <murrayc@murrayc.com>

	* camel/camel-mime-parser.c: (folder_scan_content),
	(folder_scan_step): Initialize some variables because 
	valgrind complains about uninitialized variables here. This does not 
	fix it but it should make things clearer for someone who can fix it.

2007-07-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merged tny-camel-folder.c with devel/sessionwork's version
	* This moves the poke-status operations to the account's queue
	* Merged camel-pop3-engine.c with devel/sessionwork's version
	* This fixes a locking problem while disconnecting the POP account

	* Merging the Cond patch from devel/sessionwork

2007-07-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* The long awaited alert, get_pass and forget_pass now in the mainloop

	* This was a major API and behaviour change

2007-07-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a race condition when the account was or is connection or not
	yet finished connecting while the connection-status-changed signal was
	already being used. Introduced a new API for this
	* Introduced the tny_account_is_ready API, which indicates when an
	account is not only valid as instance, but also fully registered
	within the system.
	* Implemented some missing implementations in TnyCombinedAccount

	* This was a major API change

2007-07-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Dealing with remotely removed folders
	* The poke status calls are now on the same queue as the other
	operations
	* Rewritten the TnySessionCamel infrastructure that connects accounts
	and sets them up
	* Added support for detecting folder changes to
	TnyGtkFolderStoreTreeModel
	* API change on tny_camel_account_set_online. The last argument is now
	a callback rather than a GError. In the callback you can know about
	when the account got connected and if not, why it failed

	* Cond locks in the queues of the store accounts while the callbacks
	are happening. This is a significant policy change in locking
	behaviour that should be well tested. 

	* This was a major API change in TnyAccount

2007-07-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Branchpoint "devel/sessionwork"

2007-07-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* More granularity in the locking of the POP code
	* Several fixes in the POP code
	* Folder renaming for local folders

2007-07-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* Various locking improvements in the POP code
	* Parallel retrieval of messages
	* Disconnecting after summary retrieval of a POP folder
	* Disconnecting after get-msg and sync of a POP folder
	* Some reference counting problems when factoring folders

2007-07-24  Philip Van Hoof  <pvanhoof@gnome.org>

	* Preparing for a release candidate
	* Added skeleton for webkit support
	* Restructuring the internal API for async methods a bit
	* Experimental lining up of async functions in one thread

2007-07-23  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account.c: Improved the 
	documentation for tny_camel_account_set_online().

	* libtinymail/tny-merge-folder.c: (tny_merge_folder_get_id),
	(tny_merge_folder_instance_init): Use 
	unknown_mergefolder instead of an empty string for the default ID, 
	because an empty string is not allowed by the get_func_id() DBC 
	contract, causing a crash at runtime when DBC is enabled in the build.

2007-07-23  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-store.c:
	(camel_imap_recon): if there's no reconnection operation, then we don't
	call it, preventing crashes.

2007-07-23  Jose Dapena Paz  <jdapena@iga1ia.com>
	
	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-folder.c:
	(imap_refresh_info): now we lock the folder also, before locking the
	service, in order to respect better the lock order. This should avoid
 	some locks.
	
	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-store.[ch]:
	now we store a reference to the struct addrinfo used for connections. When
	we are successful getting a valid addrinfo, it's stored and reused. This
	way we prevent doing lots of calls to getaddrinfo and subsequent name
	resolutions. As we're currently blocking while name resolution is running,
	this should make the application more reponsive in general and avoid
	flooding the connection.
	We also removed the method (camel_imap_service_connect) as it's not used.
	
	* libtinymail-camel/camel-lite/camel/camel-private.h:
 	added parenthesis to some lock macros.
 
2007-07-23  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: protect a folder lock
	with a reason. This prevents some interlock problems, as the
	last unreason can lead to a folder lock.
	
2007-07-23  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail/tny-camel-mime-part.c:
	(tny_camel_mime_part_get_parts_default): improve detection
	of attached messages, as we need to create a proper TnyMsg
	object when the attachment is a message.
	(tny_camel_mime_part_add_part_default): now when we are
	attaching a message as a part, it's created adding a 
	message/rfc822 mime part that contains the message as
	its content object. This fixes attaching messages.

2007-07-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Allowing the POP code to do RETRs while the TOPs are working (while
	summary is being retrieved, allow the POP code to receive messages
	already)
	* Avoiding a join in the mainloop
	* Reconnecting and connection failing for POP, in case of connection
	problems

2007-07-12  Sergio Villar Senin  <svillar@iga1ia.com>

	* Added a new parameter to the constructor of a merge folder which is
	the name of the new merge folder

	* This is a major API change

2007-07-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed the POP unread count problems

2007-07-12  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_matches_url_string_default): For maildir accounts, 
	compare their paths before the # marker for the folder, to avoid 
	considering all maildir accounts to be the same account.

2007-07-11  Armin Burgmeier  <armin@openismus.com>

	* libtinymail-camel/tny-camel-folder.c:
	* libtinymail-camel/tny-camel-store-account.c: Recreate folder list
	after a new folder has been created so that subsequent calls to
	_get_folder() contain the newly created folder.

2007-07-11 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>
	* Don't set subject to 'No Subject' if it's empty
	(camel-mime-message.c)

2007-07-09  Javier Fernández García-Boente <jfernandez@iga1ia.com>
	* Implements and emits msg-sending and msg-sent signals
	when a message is just being sent and when is fully sent. 
        * Add a notification about EXPUNGED header change in 
	tny_camel_folder_remove_msg_default method.

2007-07-10  Philip Van Hoof  <pvanhoof@gnome.org>

	* Made the connecting of accounts more finegrained (once more)
	* Introduced the required tny_session_camel_set_initialized API
	* Preserving flags on POP

	* This was a major change in behaviour when connecting and at
	initialization
	* This was a major API change

2007-07-10  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-account-store.h: alert_func vfunc:
	* libtinymail/tny-account-store.c: (tny_account_store_alert):
	* libtinymail-acap/tny-acap-account-store.c:
	(tny_acap_account_store_alert):
	* libtinymail-camel/tny-session-camel.c:
	(tny_session_camel_do_an_error), (tny_session_camel_alert_user),
	(foreach_account_set_connectivity):
	* libtinymail-gnome-desktop/tny-gnome-account-store.c:
	(tny_gnome_account_store_alert):
	* libtinymail-gpe/tny-gpe-account-store.c:
	(tny_gpe_account_store_alert):
	* libtinymail-maemo/tny-maemo-account-store.c:
	(tny_maemo_account_store_alert):
	* libtinymail-olpc/tny-olpc-account-store.c:
	(tny_olpc_account_store_alert):
	* tests/shared/account-store.c: (tny_test_account_store_alert):
	Add a TnyAcccount* parameter to the alert_func vfunc, so that 
	applications an show information about the account (and server) 
	that failed. This is documented as sometimes being NULL for current 
	implementations (see the *ssl.c comment below).

	* camel/camel-session.h:
	* camel/camel-session.c: (camel_session_alert_user),
	(camel_session_alert_user_with_id),
	(camel_session_alert_user_generic): Added a CamelService* 
	paramteter to these functions. For tinymail, this allows us to use 
	CamelService::data to get the TnyAccount*. 
	* camel/camel-disco-diary.c: (camel_disco_diary_log),
	(diary_decode_folder):
	* camel/providers/imap/camel-imap-command.c:
	(camel_imap_command_response), (camel_imap_command_response_idle):
	* camel/providers/imap4/camel-imap4-engine.c:
	(camel_imap4_engine_parse_resp_code):
	* camel/providers/imap4/camel-imap4-summary.c:
	(courier_imap_is_a_piece_of_shit):
	* camel/providers/smtp/camel-smtp-transport.c: (smtp_connect):
	Pass the CamelService::data to camel_session_alert_user*().
	* camel/camel-tcp-stream-openssl.c: (ssl_verify):
	* camel/camel-tcp-stream-ssl.c: (ssl_bad_cert): Pass NULL for 
	service_user_data because I cannot see a suitable CamelService. 
	See the TODOs.

2007-07-10  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added the tny_folder_get_local_size API
	* Fixed the folder deletion of maildir folders
	* Added the get_local_size implementation to TnyMergeFolder
	* Implementing missing implementation of sync_async in TnyMergeFolder

	* This was a major API change

2007-07-09  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-enums.h:
	* libtinymail/tny-error.h: 
	* libtinymail/tny-error.c: (tny_error_get_type):
	Added TNY_TRANSPORT_ACCOUNT_ERROR_SEND_USER_CANCEL 
	and TNY_ACCOUNT_ERROR_TRY_CONNECT_USER_CANCEL.
	* libtinymail-camel/tny-camel-account.c:
	(_tny_camel_account_get_tny_error_code_for_camel_exception_id):
	Handle CAMEL_EXCEPTION_USER_CANCEL as 
	TNY_ACCOUNT_ERROR_TRY_CONNECT_USER_CANCEL, so that applications 
	can ignore this.
	* libtinymail-camel/tny-camel-transport-account.c:
	(get_tny_error_code_for_camel_exception_id):
	Likewise, handle as CAMEL_EXCEPTION_USER_CANCE as 
	TNY_TRANSPORT_ACCOUNT_ERROR_SEND_USER_CANCEL.

2007-07-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added the tny_folder_sync_async method. Boutifully paradoxical by
	name!

	* This was a major API change

2007-07-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* Changed the cache-dir locations to ones that are more suitable for
	mor types of filesystems
	* Added the user to IMAP cache-dir locations

2007-07-09  Javier Fernández García-Boente <jfernandez@iga1ia.com>

	* Change way to manage priority flags (2 bits) 
        on maildir folders. Now, HIGH_PRIORITY flag
	will be used as bit mask to extract priority flags
	and compare them with specific bits flag.

2007-07-09  Jose Dapena Paz  <jdapena@iga1ia.com>

	* tny-camel-mime-part.c:
	(tny_camel_mime_part_get_parts): now, if the mime part is a
	multipart/related, it sets the content disposition of the children
	to inline for parts that didn't get a disposition before. This
	should improve handling of inline attached images.

2007-07-09  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-enums.h:
	* libtinymail/tny-error.c: (tny_error_get_type):
	* libtinymail/tny-error.h:
	Added TNY_TRANSPORT_ACCOUNT_ERROR_SEND_HOST_LOOKUP_FAILED, 
	TNY_TRANSPORT_ACCOUNT_ERROR_SEND_SERVICE_UNAVAILABLE, 
	TNY_TRANSPORT_ACCOUNT_ERROR_SEND_AUTHENTICATION_NOT_SUPPORTED
	GError enum values.

	* libtinymail-camel/tny-camel-transport-account.c:
	Added get_tny_error_code_for_camel_exception_id(),
	(tny_camel_transport_account_send_default): Provide a 
	more specific GError code to the caller, so that this will 
	be provided with the TnySendQueue "error-happened" signal.
	(tny_camel_transport_account_try_connect): 
	Use _tny_camel_account_get_tny_error_code_for_camel_exception_id() 
	here to provide a more specific error code.

2007-07-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improvement for tny_camel_mime_part_is_attachment_default
	* Deleting non-empty folders of a maildir
	* Unread and seen counts are (or should be) unrelated
	* The tny_account_set_pass_func must now always be the last to set

	* This was a major API change

2007-07-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* Yet another attempt at fixing the namespace problem (empty root
	folders)
	* Fixed a disconnect at startup (temporary fix)
	* Fixed a problem when creating folders (found by Armin Burgmeier)

2007-07-08  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Temporary empty root folder fix

2007-07-06  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-enums.h:
	* libtinymail/tny-error.h:
	* libtinymail/tny-error.c: (tny_error_get_type):
	Added TNY_ACCOUNT_ERROR_TRY_CONNECT_CERTIFICATE and documented the enum 
	values that I added last time.
	* libtinymail-camel/tny-camel-account.c:
	(_tny_camel_account_get_tny_error_code_for_camel_exception_id):
	Handle CAMEL_EXCEPTION_SERVICE_CERTIFICATE as TNY_ACCOUNT_ERROR_TRY_CONNECT_CERTIFICATE.
	* libtinymail-camel/tny-session-camel.c:
	(tny_session_camel_alert_user): Adapt signature, as follows.
	Also handle the CAMEL_EXCEPTION_USER_CANCEL error ID instead of checking the message text. 

	* camel/camel-exception-list.def: Added CAMEL_EXCEPTION_SERVICE_CERTIFICATE.
	* camel/camel-session.h:
	* camel/camel-session.c: (camel_session_alert_user): Take a CamelException 
	instead of a message, so we don't lose the error ID sometimes.
	(camel_session_alert_user_with_id),
	(camel_session_alert_user_generic): Convenience functions to use when 
	no CamelException is available.

	* camel/providers/smtp/camel-smtp-transport.c: (smtp_connect):
	Use the exception instead of just the message with camel_session_alert_user(), 
	so that the application has the error code. 

	* camel/camel-disco-diary.c: (camel_disco_diary_log),
	(diary_decode_folder):
	* camel/providers/imap/camel-imap-command.c:
	(camel_imap_command_response), (camel_imap_command_response_idle):
	* camel/providers/imap4/camel-imap4-engine.c:
	(camel_imap4_engine_parse_resp_code):
	* camel/providers/imap4/camel-imap4-summary.c:
	(courier_imap_is_a_piece_of_shit): Use camel_session_alert_user_generic() 
	instead of camel_session_alert_user(), because we have no ID or exception here.

	* camel/camel-tcp-stream-openssl.c: (ssl_verify):
	* camel/camel-tcp-stream-ssl.c: (ssl_bad_cert): Use the new 
	CAMEL_EXCEPTION_SERVICE_CERTIFICATE error ID here. There are still many different 
	types of certificate error, but this at least classifies them a bit.

2007-07-05  Armin Burgmeier  <armin@openismus.com>

	* libtinymail/tny-merge-folder.c: When propagating a TnyFolderChange
	notified from one of the underlaying folders, do copy that
	TnyFolderChange and set the changed folder of that copy to the merge
	folder. Also, do not propagate folder renames because the merge folder
	itself has not been renamed.

2007-07-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a crasher when transferring messages

2007-07-06  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-msg-header.c:
	(tny_camel_msg_header_set_flags, tny_camel_msg_header_get_flags,
	tny_camel_msg_header_unset_flags): added support to store and
	retrieve the TNY_HEADER_FLAG_ATTACHMENTS.

2007-07-06  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-enums.h:
	* libtinymail/tny-error.h: Added 
	TNY_ACCOUNT_ERROR_TRY_CONNECT_HOST_LOOKUP_FAILED, 
	TNY_ACCOUNT_ERROR_TRY_CONNECT_SERVICE_UNAVAILABLE and 
	TNY_ACCOUNT_ERROR_TRY_CONNECT_AUTHENTICATION_NOT_SUPPORTED so 
	that the TnyAccountStore::alert_func() callback can sometimes get 
	more specific information, so that it doesn't need to just blindly show 
	the camel internal error message.
	* libtinymail/tny-error.c: Updated tny_error_get_type(), though this should be 
	generated code as in GTK+.

	* libtinymail-camel/tny-camel-account-priv.h:
	* libtinymail-camel/tny-camel-account.c:
	Added _tny_camel_account_get_tny_error_code_for_camel_exception_id() for 
	choosing a suitable tinymail GError code.
	(_tny_camel_account_try_connect), (_tny_camel_account_set_online):
	Use a specific error code for the GErrors.

	* libtinymail-camel/tny-session-camel.c:
	(tny_session_camel_alert_user): Add a TODO noting that this is where we 
	lose some specific error codes, and where we do a dodgy string comparison 
	on the message text.

	* camel/camel-exception-list.def: Added a 
	CAMEL_EXCEPTION_SYSTEM_HOST_LOOKUP_FAILED error code enum value.
	* camel/camel-net-utils.c: (camel_getaddrinfo):
	Use the new error code when appropriate.

2007-07-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added some non standard flags to the maildir support
	* Support for suspended items in sendqueues
	* Fixed an API glitch in TnyFolderChange
	* Empty folder bugfix
	* Added a guard to tny_mime_part_set_filename for NULL situations

2007-07-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixes for the new headers after a transfer of messages happened
	* Fixed for new headers after adding a message happened

2007-07-05  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c:
	The asynchronous operations now always call the callbacks in an idle
	if the GMainLoop is available, even if the thread could not be
	started.
	Refactored the code that invokes the user callbacks.
	Changed the priority of the idles, now the status callbacks have
	higher priority than the function callbacks.
	
	* libtinymail-camel/tny-camel-store-account.c:
	The asynchronous operations now always call the callbacks in an idle
	if the GMainLoop is available, even if the thread could not be
	started.

2007-07-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Renamed removed to expunged in TnyFolderChange

	* This was a major API change

2007-07-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Dealing with the first connection status of the device instance
	* Several race conditions when rapidly connecting and disconnecting

2007-07-04  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_dummy_connection_check): Changed the check for a NULL iap
	(though it should have worked already) to ensure that the signal 
	is always emitted at initialization.
	(tny_maemo_conic_device_force_online): Do not just return if we 
	are in scratchbox. Nothing here is libconic-specific. This 
	makes is_online() return the correct value after calling force_online().

2007-07-04  Johannes Schmid <johannes.schmid@openismus.com>

	* libtinymail/tny-merge-folder.c:
	Added API doc

2007-07-04  Johannes Schmid <johannes.schmid@openismus.com>

	* libtinymail/tny-merge-folder.[ch]:
	Added tny_merge_folder_set_folder_type() API to be able
	to assign a different folder type to a tny-merger-folder

	* This was a major API change

2007-07-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Implementation of tny_folder_poke_status for the total count of a
	POP folder

2007-07-04  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_dummy_connection_check): Move this to before the first use.
	(tny_maemo_conic_device_is_online): Put use of on_dummy_connection_check() 
	in an ifdef to avoid a linker failure.

2007-07-04  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_dummy_connection_check): Set is_online here instead of waiting for it to be 
	set in the signal, becacuse this is used to do a quick check without waiting for the timout 
	to check the file.
	(tny_maemo_conic_device_is_online): In the dummy scratchbox implementation, call 
	on_dummy_connection_check() before returning is_online, so that it is accurate.

	(tny_maemo_conic_device_instance_init),
	(tny_maemo_conic_device_finalize): Don't use libconic at all if we are in scratchbox, 
	because it signals that there is no connection, which confuses our dummy implementation.

2007-07-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Total count of POP3 folders
	* Thread joining between the TnyCamelSendQueue and the TnySessionCamel
	connection threads
	* Error handling in TnyMergeFolder

2007-07-03  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix in TnyCamelTransportAccount's prepare method
	* Fixing up the TnyCamelSendQueue's at-connect
	* Bugfix in renaming on IMAP
	* Improved the granularity of the is_connected flag
	* Bugfixed a crasher at perform_content_info_save in
	CamelFolderSummary
	* Fixed a bug in case From addresses become excessively long
	* Bugfix when transferring messages (folder observers getting the
	right TnyHeader instances)
	* Fixed a lock when setting headers while fetching summary
	* Bugfix when tny_camel_account_set_online was called from the
	mainloop

2007-07-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a bug in Maildir when setting flags
	* Fixed empty-string folders at root's level on IMAP
	* Fixed blocking reads and writes in camel-tcp-stream-openssl.c,
	camel-tcp-stream-raw.c (camel-file-utils.c) and camel-tcp-stream-nss.c
	* Fixed a IDLE-stop problem when renaming a folder

2007-07-02  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_connect): When using scratchbox, show an 
	OK/Cancel dialog and write a fake connection name to the text file, 
	to simulate what libconic does on the device.
	(on_dummy_connection_check): Interpret 'none' in the text file as 
	meaning no connection. This leaves an empty file as defaulting to 
	a meaning of connection debugid0. (tny_maemo_conic_device_get_
	current_iap_id): Return NULL if the iap is 'none', when in scratchbox.

2007-07-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fallback for BINARY
	* Fallback for UIDPLUS
	* Added a check for the session in TnyCamelTransportAccount
	* Bugfix when finalizing an account
	* Removed some old internal hooks-API

2007-07-01  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed/updated the Python bindings
	* Fixed the gtk-doc API documentation genation process
	* Updated the online gtk-doc API documentation
	* Prepared a testing QEmu virtual machine
	* Marked the Kolumbus IMAP server as an idiot's IMAP server, as it
	doesn't correctly support UIDPLUS and BINARY

2007-06-29  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_connection_event), (tny_maemo_conic_device_connect):
	Removed debug output.

2007-06-29  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_connect): Use GDK_THREADS_ENTER/LEAVE as 
	used by gdk_dialog_run(), because a second g_main_loop_run() seems 
	to hang when gdk_threads_init() has been called before (by the app, 
	for instance). I don't like having these at this level, so we 
	should try to fix it properly later.

2007-06-29  Murray Cumming  <murrayc@murrayc.com>
	* libtinymail-maemo/tny-maemo-conic-device.c: 
	(on_connection_event), (tny_maemo_conic_device_connect):
	Use a second mainloop instead of iterating the main mainloop. This 
	seems more robust and is probably the recommended way to do it.
	There is lots of debug output here, which I will remove later after 
	further investigations.

2007-06-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix in TnyCamelTransportAccount: rewrote the prepare method
	implementation
	* Bugfix in tny_camel_store_account_find_folder_default

2007-06-29  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_disconnect): Fix a warning about an 
	uninitialized variable. Nobody is using this function yet anyway.

2007-06-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Various connectivity bugfixes
	* Fixed a locking problem when connectivity changes
	* Bugfix in poke-status
	* Crasher fixed (NULL function pointer)

2007-06-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Slowing down the STATUS commands
	* Detecting connection changes with the connection_status_changed
	signal on TnyAccount
	* Multiple fixes when reconnecting
	* Initial folder-list when starting the application offline

	* This was a major API change

2007-06-28  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-mess
	age-cache.c: (camel_imap_message_cache_replace_with_wrapper):
	Comment out unused variables to prevent warnings.
	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-mess
	age-cache.h: Actually declare 
	camel_imap_message_cache_replace_with_wrapper(), to avoid a warning 
	in came-imap-folder.c.
	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_finalize): Add a debug printf here in case 
	this is the cause of disconnections.
	* libtinymail-maemo/tny-maemo-conic-device.h:
	Do not include some unnecessary libconic headers. 
	* tests/test-device-conic.c: New test.

2007-06-27  Jose Dapena Paz  <jdapena@iga1ia.com>

	These changes add support for purging specific attachments 
	from cache, with an implementation in the IMAP backend. This
	is a major API change.

	* libtinymail/tny-msg.[ch]:
	(tny_msg_rewrite_cache): added new method to rewrite cache
	and expunge purged attachments if supported.

	* libtinymail/tny-mime-part.[ch]:
	(tny_mime_part_is_purged, tny_mime_part_set_purte): added two
	methods that mark a mime part to be purged in cache (in
	storages that support this).

	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_rewrite_cache): new method that calls
	the new Camel rewrite cache api for a message.

	* libtinymail-camel/tny-camel-mime-part.[ch]:
	implementation of tny_mime_part_is_purged and
	tny_mime_part_set_purged, to mark parts to be purged
	in IMAP.

	* lintinymail-camel/camel-lite/camel/providers/camel-imap-folder.c:
	(imap_rewrite_cache): new method that rewrites the cache representation
	of a message purging attachments marked to be purged.

	* libtinymail-camel/camel-lite/camel/providers/camel-imap-message-cache.[ch]:
	(camel_imap_message_cache_replace_with_wrapper): replaces the cache
	entry for a message with a new representation from wrapper. This should
	purge attachments marked as purge, in collaboration with mime part.

	* libtinymail-camel/camel-lite/camel/camel-folder.[ch]:
	(rewrite_cache): added default empty implementation and virtual.

	* libtinymail-camel/camel-lite/camel/camel-mime-part.c:
	now, if message disposition is "purged", output for the attachment is
	disabled. This should let user purge attachments on recaching.

	* libtinymail-camel/tny-camel-msg.[ch]:
	(tny_camel_msg_rewrite_cache_default, tny_camel_msg_rewrite_cache): implementation
	of rewrite method using camel new methods to rewrite cache.

2007-06-27  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c:
	Fixed an issue when removing folders. Fixed some issues when moving
	folders, the priv->iter of the camel folders was not correctly created
	so they do not have the right pointers to their children, parents and
	siblings. NOTE that this is a risky patch, not completely tested.

2007-06-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Several memory fixes, based on Valgrind error and warning reporting

2007-06-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* Maildir on MMC (VFAT) (non-allowed characters on that FS type)
	* Fixed a bug when removing folders (apriv->managed_folders needed to
	get rid of the folder instance)
	* Attachments purger for IMAP (bugfixes)
	* Bugfix when transferring messages

2007-06-25  Philip Van Hoof  <pvanhoof@gnome.org>
	
	* Deleting messages from local folders (bugfix about ghost rows)
	* Deleting attachments from message cache

	* This was a major API change

2007-06-24  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix in the folder factory

2007-06-22  Philip Van Hoof  <pvanhoof@gnome.org>

	* The folder type of the INBOX of a POP account
	* Folder lists when offline
	* Connecting, reconnecting and setting account settings while
	connecting (experimental)
	* Setting the username while asking the password is happening

2007-06-21  Sergio Villar Senin  <svillar@iga1ia.com>
	
	* libtinymail/tny-simple-list.c:
	(tny_simple_list_remove): do not free the item unless it was
	previously found in the list

2007-06-21  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* Changes how set_flags function was used on get_full and
	get_partial messages methods.
	
2007-06-21  Philip Van Hoof  <pvanhoof@gnome.org>

	* Error handling: No space left on device, when retrieving messages
	* Flag handling after message retrieval
	* Local and remove size calculations
	* Bandwidth optimization for LIST
	* Introduction of TnyCamelPopRemoteMsgRemoveStrategy

	* This was a major API change

2007-06-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed a bug in tny_folder_transfer_msgs
	* Removed some memory problems
	* Unsolicted FETCH responses while getting messages using BINARY and
	FETCH

2007-06-19  Philip Van Hoof  <pvanhoof@gnome.org>

	* The connection_status_changed signal got extended a little bit

	* This was a major API change

2007-06-19  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-msg-header:
	(tny_camel_msg_header_get_flags): added implementation
	that obtains the priority flags using the headers
	we set in our set/unset methods.
	(tny_camel_msg_header_set_flags, tny_camel_msg_header_set_flags):
	fixed the check for only allowing priority flags to be set or
	unset.
	
	* libtinymail-tests/tny-header-test.c: added unit test for
	priority flags in camel msg header.

2007-06-19  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_find_msg_default): Do not require UIDs to be longer than 
	1 character.

2007-06-19  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/test-conic.c: Added a simple test case to show 
	that libconic does not seem to emit the connection-event signal.

2007-06-19  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed reading the unread and total counts from Maildir folders
	* First baby steps into better connection state detection and handling
	* Reconnecting, throwing signals around for better status detection

2007-06-19  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Compiler warning fixes

2007-06-18  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix in IMAP, when all messages got expunged tinymail did not
	succeed in refreshing the summary correctly
	* Experimental removal of INTERNALDATE from the summary fetch for IMAP

2007-06-18  Javier Fernandez  <jfernandez@iga1ia.com>

	* Added an implementation of iter_children function, defined on
	GtkTreeModel interface.
	
2007-06-18  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_connection_event), (tny_maemo_conic_device_get_iap_list):
	Fix some warnings reported in tinymail trac ticket #66:
	http://tinymail.org/trac/tinymail/ticket/66

2007-06-18  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed the From and the Error reporting when sending messages
	* Fixed the support for Yahoo's SMTP
	* Added some more information to the error-happened signal for
	TnySendQueue

	* This was a major API change

2007-06-17  Philip Van Hoof  <pvanhoof@gnome.org>

	* Increased read-idle's low timeout times: now that all IDLE happens in
	a thread, it's not necessary anymore to quickly unblock.
	* Code cleanups
	* Connection timeout corrections
	* Read, Read-idle, Read-nonblock timeout corrections
	* Introduction of tny_account_start_operation and
	tny_account_stop_operation

	* This was a major API change

2007-06-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* Connection failure handling in the IMAP code
	* Experimental timeout for hostname lookups
	* Unread and total count updating
	* Local folders for now will no longer emit "folder_changed" signals
	* The unread and total count of local folders at initial startup
	
2007-06-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed some flag values

2007-06-14  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c:
	(tny_camel_mime_part_add_part_default): now, if the
	CamelMimePart has a multipart content type already,
	it's used as the content type of the data wrapper
	if it's created. This way we can create different
	kinds of multiparts in tinymail.
	(tny_camel_mime_part_construct_from_stream_default):
	if the mime part is a message (mime type is
	message/rfc822) then instead of instanciating a
	plain data wrapper, it instanciates a
	CamelMimeMessage. This should prevent problems
	on adding these mime parts to a message or
	mime part.

2007-06-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* The cache size of local folders, feature implementation
	* Locking fix for the get-msg service of IMAP
	* Date received fix in POP
	
2007-06-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fix for the uid of POP summary items
	* Some bugfixing for finding messages

2007-06-13  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-msg.c: (_tny_camel_msg_set_folder),
	(tny_camel_msg_finalize): Take and release a reference, to avoid 
	crashes.

2007-06-13  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_matches_url_string_default):
	Actually set the in variable so that the comparison actually happens.
	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_find_msg_default): Skip over the / before, not after 
	checking for / at the start. Do a g_warning() if the format is false, 
	to help debugging.

2007-06-13  Antia Puentes Felpeto  <apuentes@iga1ia.com>
	
	* Added a test in tests/functional that tests removing folders

2007-06-13  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_get_url_string_default):
	* libtinymail/tny-folder.c:
	* libtinymail/tny-store-account.c: Added documentation and comments 
	about the url-string. Note that Philip fixed 
	tny_folder_get_url_string_default() in a previous commit.

2007-06-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added some extra locking into the camel-lite's POP3 code

2007-06-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added placeholder for future libtinymail-tp
	* This is unfinished material (don't yet use it)

2007-06-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improved the tny_folder_poke_status implementation of TnyCamelFolder
	(performance improvement, made it internally async)
	* Experimental caching of root folder list
	* Added some locking in the CamelPOP3Store and folder

2007-06-12  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-enums.h: Resynced the fake TnyFolderType enum values 
	from tnyfolder.h and added comments explaining why we have these fake 
	uninstalled enums for gtk-doc, with a link to the gtk-doc bug.
	
	* libtinymail/tny-folder.c:
	* libtinymailui-gtk/tny-gtk-folder-store-tree-model.c: (updater),
	(deleter), (find_store_iter): Use TnyFolderType instead of gint when 
	using this column, and initialize it, rather than depending on 
	gtk_tree_model_get() to initialize it. The compiler can't detect these 
	possible unitialized uses.

2007-06-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Configurable idle delays
	* Configurable get-message service shutdown timeouts
	* Notifying the observers of a folder when a remove happens
	* Added tny_mime_part_set_header_pair
	* Added the TNY_ACCOUNT_STORE_ERROR_CANCEL_ALERT alert situation

	* This was a major API change
	
2007-06-11  Philip Van Hoof  <pvanhoof@gnome.org>

	* The summary camel-lite code no longer puts the uid field in the mmap
	* Several race conditions fixed with the IDLE support
	* The IDLE support is no longer happening in a GMainLoop, but now in a
	thread. This so that the ui of applications on top of Tinymail wont
	hang with very high latency networks like GPRS (experimental)
	* Parallel fetching messages while you are retrieving summary
	(experimental)
	* Race condition fixes when expunged messages didn't get correctly
	removed (for whatever reason in the TnyFolderMonitor): more robust
	* Fixed some IDLE deadlocks
	* Added tny_camel_pop_store_account_reconnect
	* Bugfix for SSL support of camel-lite's SMTP provider

	* This was a minor API change

2007-06-08  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymailui-gtk/tny-gtk-folder-store-tree-model.c: Add the tree
	model as an observer of the root folder stores

2007-06-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* tny_folder_poke_status fixes
	* Unread and total count fixes
	* Total and ~unread even when the folder was never refreshed
	* Support for the Content-Disposition header in mime parts
	* Some bugfixes in the SMTP support
	* Bugfix in the TnyFolderMonitor

2007-06-08  Jose Dapena Paz  <jdapena@iga1ia.com>

	* libtinymail-camel/tny-camel-msg-header.c: added support to set
	priority flags through set_flags/unset_flags. The flags are
	properly converted to X-Priority and X-MSMail-Priority headers.

2007-06-07  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel: Fixed a problem when deleting folders that were
	just under an store account.
	* libtibymailui-gtk/tny-gtk-folder-store-tree-model.c: fixed a problem
	when notifying the observers when a folder was added just under an
	account

2007-06-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Merged camel-lite with upstream Camel revision 7777
	* Various connection cancellation problems fixed in the IMAP code
	* Fix for trac ticket #64
	* Fix for sergio, when removing folders the CamelFolderInfo iter was
	still cached
	* tny_folder_poke_status will now, for IMAP, do a STATUS command to
	more accurately find out the UNSEEN and MESSAGES statuses

2007-06-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed the OpenSSL support, although I'm leaving the warnings in
	place as the support for OpenSSL has not had as much testing as the
	Mozilla/NSS SSL implementations
	* Added the option --with-ssl=nss,openssl,none to the build to assist
	the SSL library availability detection
	* Changed the use_ssl options to "wrapped", "tls", "when-possible" and
	"never" for both POP3 and IMAP
	* Some connection fixes in the IMAP and POP3 connection procedures
	* Fixed the configure.ac of camel-lite, it had a small OpenSSL vs. NSS
	mixup

2007-06-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix for LOGINDISABLED on IMAP
	* Bugfix when connecting (connection status problem)
	* Added the tny_store_account_delete_cache API

	* This was a major API change

2007-06-03  Johannes Schmid  <johannes.schmid@openismus.com>

	* libtinymail-camel/tny-camel-account.c:
	tny_camel_account_get_supported_secure_authentication_async_thread
	Fixed implementation to get the secure authentication support
	methods and simplied them a lot.

2007-06-03  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for removing messages from a POP server after retrieval
	* Support for tny_header_get_uid on TnyMsg's header instance
	* Removed the warning in libtinymail/tny-folder.c: please use the
	support for DBC in stead. It's specifically designed for this. Read
	the documentation in building.txt to find out how to enable it.

	* This was a major API change

2007-06-01  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_copy_shared): Initialize some variables 
	to avoid warnings.
	* libtinymail-maemo/tny-maemo-account-store.c:
	(tny_maemo_account_store_add_store_account),
	(tny_maemo_account_store_add_transport_account):
	Remove unused priv variables, to avoid warnings.

2007-05-31  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_connect): Block until the result is received by  	the on_connection_event() signal handler. This always seems to indicate 
	failure on Maemo Bora, but maybe it works properly in later versions.
	It is OK for this to block because the Maemo connection dialog is 
	totally modal anyway, and because most applications will not be able 
	to do anything sensible while waiting, because the user is already 
	waiting for an operation that he has initiated.

	* libtinymail/tny-folder.c: (tny_folder_get_all_count): Warn when this 
	is not implemented. Maybe not very necessary, but I seem to have had 
	this in my local checkout and maybe things crash without the check. 
	Can be removed later if you like.

2007-05-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed an error message when the account's status is offline and a
	cached version of a message is not available in tny_folder_get_msg and
	tny_folder_get_msg_async
	* Lowered the TCP and SSL timeouts

2007-05-29  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: replaced two wrong
	g_object_ref's by g_object_unref's in the copy_async implementation

2007-05-28  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_dummy_connection_check): Strip whitespace from the dummy account ID 
	found in the special file.
	
2007-05-28  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_get_current_iap_id),
	(on_dummy_connection_check),
	(tny_maemo_conic_device_instance_init),
	(tny_maemo_conic_device_finalize): Use a file 
	($HOME/maemo_conic_dummy_id) instead of an environment variable to 
	set the dummy ID when using scratchbox so we can check it for changes 
	every 1 second.
	
2007-05-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Experimental reuse of the get-message service for IMAP

2007-05-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Refactored the TnyGtkPasswordDialog
	* Various fixes for the OLPC build
	* Various fixes for the Maemo mistal and gregale builds

2007-05-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* Experimental connection camel_recovery for IMAP
	* Letting IDLE/PushE-mail support code cope with connection failures

2007-05-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* libtinymail-camel-tny-camel-send-queue.c: various locking fixes

2007-05-24  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_get_iap): When running in scratchbox, 
	make sure that this returns an instance for a more complete fake 
	implementation.

2007-05-23  Murray Cumming  <murrayc@murrayc.com>

	* libtinymailui-gtk/tny-gtk-folder-store-tree-model.c:
	(recurse_folders_sync): Do not assume that the row instance is a 
	TnyFolderStore, because not all TnyFolders are TnyFolderStores. 
	This allows us to use this tree model with TnyMergeFolder.

2007-05-22  Murray Cumming  <murrayc@murrayc.com>

	* camel/camel-mime-message.c: (camel_mime_message_set_subject):
	Check that the input char* is not the same as the existing char*, 
	so we do not delete the input before using the input. This happens 
	when get_subject() is given directly to set_subject without a 
	g_strdup(), for instance.

2007-05-22  Murray Cumming  <murrayc@murrayc.com>

	* camel/camel-tcp-stream-openssl.c:
	(camel_tcp_stream_ssl_class_init): Add a g_warning() to warn people
	about using this unsupported alternative to NSS.

2007-05-21  Murray Cumming  <murrayc@murrayc.com>

	* camel/camel-tcp-stream-openssl.c: (socket_connect): When calling
	the standard connect () function, use sizeof (struct sockaddr) instead
	of just passing an uninitialized socklen_t, so that this can actually
	succeed, instead of failing with an Invalid Argument errno.

2007-05-16  Murray Cumming  <murrayc@murrayc.com>

	* camel/camel-mime-message.c: (camel_mime_message_set_subject):
	Prevent memory corruption. g_strstrip() does not return a newly
	allocated string. Also, camel_header_encode_string() doesn't seem to
	like being given NULL.

2007-05-22  Philip Van Hoof  <pvanhoof@gnome.org>

	* Shaped up the Unit tests
	* Fixed a bunch of -Wall warnings
	* Fixed some of the Design By Contract clausules

2007-05-21  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added a couple of new signals on TnyAccountStore and TnyAccount

2007-05-21 Javier Fernandez Garcia-Boente <jfernandez@iga1ia.com>

	* Use 'what' string parameter of asyn status callback to knonw 
	what operaiton is being executed, in oder to decide if progress
	data is send back or not.a

	* Add camel operation and progress call to 'folder_rename' operation.
	
2007-05-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* TnyAccountStore's alert_func has a 'question' parameter now

	* This was a major API change

2007-05-18  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

   	* folder was 'reason' unnecesary in copy_folder_async.
        * fix bug: g_error_free not neccesary after g_error_propagate

2007-05-17  Philip Van Hoof  <pvanhoof@gnome.org>

	* Recursively removing folders

2007-05-17  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_get_iap_list): When MAEMO_CONIC_DUMMY 
	hack together a list of fake debug* connection IDs as the result, 
	so we can simulate libconic in scratchbox.
	
	(tny_maemo_conic_device_get_current_iap_id): When MAEMO_CONIC_DUMMY, 
	return a fake debug* connection ID based on the value of a 
	MAEMO_CONIC_DUMMY_IAP_ID environment variable, so we can fake a 
	connection change (though the signal will not be emitted when the 
	environment variable changes.)
	
2007-05-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* Removed the unworkable tny_folder_set_name, old code should replace
	this with tny_folder_copy with the del parameter set to TRUE and the
	folder store being the one you get using tny_folder_get_folder_store

	* This was a major API change

2007-05-16  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-store-account.c:
	(tny_camel_store_account_prepare): Remove a warning that I shouldn't 
	have added in my last commit.

2007-05-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* Some clarity for tny_folder_transfer_msgs in a GError for the
	developer who uses TnyHeader instances that came from
	tny_msg_get_header (he has to use the ones that he got from
	tny_folder_get_headers, not any others).

2007-05-16  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-camel/tny-camel-account.h:
	* libtinymail-camel/tny-camel-account.c:
	Added tny_camel_account_get_supported_secure_authentication(), 
	to get a list of strings for use with 
	tny_account_set_secure_auth_mech(), by querying the server. This is 
	async, providing the result via a callback.

	* libtinymail/tny-error.h: Added TNY_ACCOUNT_ERROR_GET_SUPPORTED_AUTH, 
	for use by tny_camel_account_get_supported_secure_authentication
	
	* This was a major API change

2007-05-16  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-queues/Makefile.am: install libtinymail-queues header
	files

2007-05-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* The new TnyQueue and TnyQueueTasks types
	* Major rewrites of libtinymail-queues
	* It's not stricly depending on AsyncWorker anymore
	* Introduction of libtinymail-asyncworker

	* This was a major API change in libtinymail-queues
	* This was a major API change in libtinymail-asyncworker

2007-05-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* A new implementation for tny_folder_copy in libtinymail-camel
	* A new implementation for tny_folder_copy_async in libtinymail-camel
	* Changed the TnyCopyFolderCallback function description

	* This was a major API change

2007-05-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* Waiting for the + continuation after IDLE
	* Please watch this fix with different IMAP implementations

2007-05-14  Sergio Villar Senin  <svillar@iga1ia.com>

	* tests/functional/account-refresh.c: added this new test that
	refreshes all the subscribed folders of an store account inside a
	different thread
	
2007-05-14  Murray Cumming  <murrayc@murrayc.com>

	* docs/devel/reference/tmpl/tny-account.sgml:
	* docs/devel/reference/tmpl/tny-shared.sgml:
	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_get_secure_auth_mech),
	(tny_camel_account_get_secure_auth_mech_default),
	(tny_account_init), (tny_camel_account_class_init):
	* libtinymail-camel/tny-camel-account.h:
	* libtinymail/tny-account.c: (tny_account_set_secure_auth_mech),
	(tny_account_get_secure_auth_mech):
	* libtinymail/tny-account.h:
	* libtinymail/tny-combined-account.c:
	(tny_combined_account_get_secure_auth_mech), (tny_account_init):
	Renamed tny_account_get_mech() to tny_account_get_secure_auth_mech()
	and TnyAccount::get_mech_func() to get_secure_auth_mech(),
	to be consistent with the renamed set function.

2007-05-14  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-account.c: (tny_account_set_secure_auth_mech):
	* libtinymail/tny-account.h:
	* docs/devel/reference/tmpl/tny-account.sgml:
	* docs/devel/reference/tmpl/tny-shared.sgml:
	Renamed tny_account_set_mech() to tny_account_set_secure_auth_mech(), 
	because that is clearer, after discussion with Philip.
	Also renamed the TnyAccount::set_mech_func() vfunc to 
	set_secure_auth_mech_func().
	Attempted to document the possible values, but I have not achieved that 
	completely.
	
	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_set_secure_auth_mech),
	(tny_camel_account_set_secure_auth_mech_default),
	(tny_account_init), (tny_camel_account_class_init):
	* libtinymail-camel/tny-camel-account.h:
	* libtinymail-camel/tny-camel-store-account.c:
	(tny_camel_store_account_prepare):
	* libtinymail-gnome-desktop/tny-gnome-account-store.c:
	(load_accounts):
	* libtinymail-gpe/tny-gpe-account-store.c: (load_accounts):
	* libtinymail-maemo/tny-maemo-account-store.c: (load_accounts):
	* libtinymail-olpc/tny-olpc-account-store.c: (load_accounts):
	* libtinymail/tny-combined-account.c:
	(tny_combined_account_set_secure_auth_mech), (tny_account_init):
	Adapted to the changed API.

2007-05-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Improved connection / error handling when trying to connect fails
	* Merged camel-lite with camel-svn7713

	* This was a major API change

2007-05-11  Philip Van Hoof  <pvanhoof@gnome.org>

	* Implemented Rob's priv->stamp++ idea for removing things from an
	TnyGtkHeaderListModel

2007-05-10  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-account-store.c: tny_account_store_alert(): 
	Document that the vfunc might receive TNY_ACCOUNT_STORE_ERROR as well 
	as just TNY_ACCOUNT_ERROR.
	* libtinymail/tny-error.h: Document the TNY_ACCOUNT_ERROR_TRY_CONNECT 
	and TNY_ACCOUNT_STORE_ERROR_UNKNOWN_ALERT error codes, including their 
	awkward realities, based on discussion with Philip.

	* This was a major API change (due to documentation enhancements)

2007-05-10  Rob Taylor  <rob.taylor@codethink.co.uk>

	* libtinymailui-gtk/tny-gtk-header-list-model.c: Performance
	enhancement

2007-05-10  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: Added a new operation 
	tny_camel_folder_copy_async to copy one folder into other one using
	asynchronous operations.
	* libtinymail/tny-status.h: Added new status code for folder_copy_async
	callbacks.
	* libtinymail/tny-shared.h: Defined new callback function to be used in 
	copy_async operation.
	* libtinymail/tny-folder.c: Defined new abstract operation 
	folder_copy_async.
	
2007-05-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* libtinymailui-gtk/tny-gtk-header-list-model.c: Moved the private API
	to a private type

	* This was a minor API change

2007-05-09  Jose Dapena Paz  <jdapena@iga1ia.com>

	* configure.ac, Makefile.am:
	Now Maemo target also compiles gnomevfs module.
	* debian/control.maemo:
	Added package for gnomevfs module

2007-05-08  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-queues/libtinymail-queues.pc.in: Fixed the name of the
	library in the -l option
	* Some ChangeLog fixes

2007-05-08  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* libtinymail/tny-merge-folder.c: Add cancelled parameter to 
	transfer_msgs_async function.
	* libtinymail/tny-shared.h: Change TransferMsgsAsync callback 
	API function.
	* libtinymail/tny-shared.h: Add a new status code for 
	transfer_msgs_async function.
	* ibtinymail-camel/tny-camel-folder.c : Implementation of 
	status_callbacks calls in transfer_msgs_async function.

2007-05-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* -Wall warnings fixed
	* Speedups in TnyGtkHeaderListModel

2007-05-08  Murray Cumming  <murrayc@murrayc.com>

	* docs/devel/reference/tmpl/tny-shared.sgml:
	TnyGetPassFunc:
	* libtinymail/tny-password-getter.c: 
	tny_password_getter_get_password():
	* camel/camel-session.c:
	camel_session_get_password():
	Document the prompt parameter as best ignored, because there is nothing 
	sensible that a real-world application can do with it.

2007-05-08  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* make _finalize in tny-maemo-conic-device also do the dummy
	        disconnect, so we don't crash-on-exit in scratchbox

2007-05-08  Murray Cumming  <murrayc@murrayc.com

	* libtinymail/tny-account-store.c:
	* libtinymail/tny-account-store.h: Change the alert_func vfunc to 
	provide a GError instead of a human-readable error string.
	(tny_account_store_alert): The documentation for this vfunc invoker 
	seems to refer to the vfunc (as is also normal in GTK+), so document 
	how the GError should be used and point out that the application 
	should translate the message and show an appropriate dialog.
	This does not seem to require the definition of a new GError domain - 
	the existing one seems suitable.
	
	* libtinymail-acap/tny-acap-account-store.c:
	(tny_acap_account_store_alert):
	* libtinymail-camel/tny-camel-account.c:
	(tny_camel_account_set_online_default):
	* libtinymail-camel/tny-session-camel.c:
	(tny_session_camel_alert_user), (foreach_account_set_connectivity):
	* libtinymail-gnome-desktop/tny-gnome-account-store.c:
	(tny_gnome_account_store_alert):
	* libtinymail-gpe/tny-gpe-account-store.c:
	(tny_gpe_account_store_alert):
	* libtinymail-maemo/tny-maemo-account-store.c:
	(tny_maemo_account_store_alert):
	* libtinymail-olpc/tny-olpc-account-store.c:
	(tny_olpc_account_store_alert):
	* tests/shared/account-store.c: (tny_test_account_store_alert):
	Use the GError instead of the message string.

2007-05-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* Real fix for a gtk_tree_model_row_inserted oddity
	* The problem was that me->cur_len was set to 1 to avoid an assertion
	in gtktreemodelsort.c (in gtk_tree_model_sort_build_level). The real
	fix was to check for list_model->cur_len in various GtkTreeModel
	implementations, rather than the list_model->items->len (only
	registered items are valid for GtkTreeModel, while registering is
	slower than simple appends or prepend, as registered requires the
	registration event to happen in the mainloop)

	* Fixes for a bunch of tickets
	* Fixed the IDLE support for folders with == 0 items

2007-05-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Workaround for a gtk_tree_model_row_inserted oddity 

2007-05-07 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Fixed some use-before-initalization bugs in tny-maemo-conic-device
	* Don't try to disconnect in the dummy case there

2007-05-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Moved some stuff around
	* Created an internal API for status reporting

2007-05-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Changed the TnyGetMsgCallback function signature to have a cancelled 
	property.
	* Implemented support for status-callbacks for tny_folder_get_msg_async
	* Changed the demoui to use the get_msg_async functionality for testing
	recent changes

	* This was a major API change

2007-05-04  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/Makefile.am:
	* libtinymail/tny-idle-stopper-priv.c:
	* libtinymail/tny-idle-stopper-priv.h: Added a helper API to allow 2 or
	more idle handler callbacks to cooperate, so that one can stop the other
	one, in case they are called in an unexpected sequence, which happens 
	when they have different idle priorities. See the API documentation here
	for more details.

	* libtinymail-camel/tny-camel-folder.c:
	(tny_camel_folder_refresh_async_destroyer),
	(tny_camel_folder_refresh_async_callback), (destroy_progress_idle),
	(progress), (tny_camel_folder_refresh_async_status),
	(tny_camel_folder_refresh_async_default): Use shared TnyIdleHandler 
	instances, so that the main idle callback can stop the progress idle 
	callback from calling the status callback after the main callback, 
	which causes freed memory to be used, crashing modest. See the comments
	here fore more details.

	* libtinymail/tny-folder.c: Added some text to the 
	tny_folder_refresh_async() callbacks to make the sequence clearer. 
	I think that language bindings will actually need one or more destroy 
	callbacks eventually.

2007-05-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Massive changes to TnyGetMsgQueue (unfinished, experimental)
	* Fix for urgent ticket #43

2007-05-03  Sergio Villar Senin  <svillar@iga1ia.com>
	* tests/functional/folder-lister-async.c: Fixed a build error in the
	tests caused by the API changes of yesterday
	* libtinymailui-gtk/tny-gtk-folder-store-tree-model.c: Fixed a call to
	_get_folders_async() that was receiving the arguments in a wrong
	order

2007-05-02  Javier Fernandez Garcia-Boente  <jfernandez@iga1ia.com>

	* Change API headers of async functions to pass a status callback
	method to get progress information about task execution. 
	* transfer_msgs_async_fun
	* get_folders_async_func
	* Camel implementation functions have been changed, but NULL 
	was assigned to status_callback, for the moment.

	* This was a major API change

2007-04-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added a TnyCombinedAccount type

	* This was a major API change

2007-04-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Documentation updates
	* Made a few symbols start with an underscore, so that they are not
	exported by the linker

2007-04-29  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-account-store.c:
	(tny_maemo_account_store_add_store_account),
	(tny_maemo_account_store_add_transport_account):
	Correct NY_ACCOUNT_STORE typos to TNY_ACCOUNT_STORE, to avoid an 
	undefined symbol build error.

2007-04-29  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-gnome-desktop/tny-gnome-device.c:
	* libtinymail-gpe/tny-gpe-device.c: (emit_status),
	(tny_gpe_device_reset), (tny_gpe_device_force_online),
	(tny_gpe_device_force_offline):
	* libtinymail-olpc/tny-olpc-device.c: (emit_status),
	(tny_olpc_device_reset), (tny_olpc_device_force_online),
	(tny_olpc_device_force_offline): 
	Copy/Paste the implementations from TnyGnomeDevice, so these 
	implementations also match the documented behaviour. I wish that 
	GInterfaces could have default implementations that could be shared.

2007-04-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Documentation updates
	* Changes to the TnyAccountStore API
	* Removed the memory peak of yesterday (for the unread and total count)

	* This was a major API change

2007-04-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Getting the unread and total counts correct. Latest changes
	introduce a memory peak at application startup. This peak can be
	improved by only reading the unread and total counts from the
	summary.mmap files in camel-lite (right now, the entire folder's info
	is read and parsed, causing the peak to occur)

	* Fixed the TnyGenericSendQueue implementation

2007-04-27  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail/tny-device.c: Improve the documentation for 
	tny_device_force_online(), tny_device_force_offline(), and 
	tny_device_reset(), describing why/when you might want to use them, 
	and describing how they affect the behaviour of this object. This 
	helps us to implement the underlying vfuncs.

	* libtinymail-gnome-desktop/tny-gnome-device.c:
	(tny_gnome_device_reset), (tny_gnome_device_force_online),
	(tny_gnome_device_force_offline):
	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_reset), (on_connection_event),
	(tny_maemo_conic_device_force_online),
	(tny_maemo_conic_device_force_offline),
	(tny_maemo_conic_device_instance_init): Improve the implementation, 
	to match the documented behaviour.

2007-04-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* Creating a new connection for getting uncached messages 
	with the IMAP code.

2007-04-27  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(on_connection_event), (tny_maemo_conic_device_get_iap): Added some 
	comments and  improved the (temporary) debug output so its more 
	obvious what is happening.

	* libtinymail/tny-device.c: Correct the tny_device_force_offline() and 
	tny_device_force_online() documentation. They were swapped.
	This still needs more documentation describing how these behave.

2007-04-26  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_instance_init),
	(tny_maemo_conic_device_new): Do all the initialization in init, 
	because _new functions should just call g_object_new() and not 
	access private API, because they are just C convenience functions.
	(on_connection_event), (tny_maemo_conic_device_connect),
	(tny_maemo_conic_device_disconnect),
	(tny_maemo_conic_device_get_iap),
	(tny_maemo_conic_device_get_iap_list),
	(tny_maemo_conic_device_force_online),
	(tny_maemo_conic_device_force_offline),
	(tny_maemo_conic_device_finalize): 
	Copy the iap string instead of just storing the pointer, because 
	we have no guarantees about the lifetime of the string that 
	con_ic_event_get_iap_id() returns. Free it in finalize.
	Added g_return_if*() checks for priv->cnx, without which nothing 
	could work.

2007-04-23  Philip Van Hoof  <pvanhoof@gnome.org>

	* tny_folder_change_set_received_msg,
	tny_folder_change_get_received_msg and
	TNY_FOLDER_CHANGE_CHANGED_MSG_RECEIVED added

	* This was a major API change

2007-04-24 Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Make tinymail/maemo buildable with or without libconic

2007-04-23  Philip Van Hoof  <pvanhoof@gnome.org>

	* Introduction of the TnyStatus infrastructure
	* Changed the TnyStatusCallback function prototype to reflect the
	TnyStatus changes
	* Updated the demo-ui to start using the TnyStatus infrastructure

	* This was a major API change

2007-04-23 Javier Fernandez Garcia-Boente

	* Change priority flags management, using a bit mask to get assigned 
	priority.
	* New enumeration to define available priority flags. 

2007-04-21  Philip Van Hoof  <pvanhoof@gnome.org>

	* Created a TnyGenericSendQueue which implements TnySendQueue in a
	generic way (doesn't strictly depend on the libtinymail-camel impl
	libraries like the TnyCamelSendQueue type)
	* Added the status_callback to tny_folder_get_msg_async
	* Renamed the TnyFolderRefreshStatusCallback to TnyStatusCallback

	* This was a minor API change (new type added)
	* This was a major API change for tny_folder_get_msg_async and
	tny_folder_refresh_async (TnyStatusCallback added and renamed)

2007-04-21  Philip Van Hoof  <pvanhoof@gnome.org>

	* Made TnyGetMsgQueue not care about the folder (it'll use the
	tny_header_get_folder API)

	* This was a major API change

2007-04-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* Further implementing of TnyMergeFolder
	* Bugfixes in camel-lite (concurrent camel_folder_get_message on
	folders that are not selected)
	* Introduction of libtinymail-queues (which depens on asyncworker)

	* This was a major API change

2007-04-18  Philip Van Hoof  <pvanhoof@gnome.org>

	* Further implementing of TnyMergeFolder
	* Bugfixing of several trac tickets (like #39)

2007-04-18  Murray Cumming  <murrayc@murrayc.com>

	* libtinymail-maemo/tny-maemo-conic-device.c:
	(tny_maemo_conic_device_connect),
	(tny_maemo_conic_device_disconnect),
	(tny_maemo_conic_device_get_current_iap_id),
	(tny_maemo_conic_device_get_iap),
	(tny_maemo_conic_device_get_iap_list),
	(tny_maemo_conic_device_free_iap_list):
	* libtinymail-maemo/tny-maemo-conic-device.h:
	Take a TnyMaemoConicDevice* instead of a TnyDevice, as that is 
	the convention for derived/implemented objects.
	Correct the TNY_TYPE_MAEMO_CONIC_DEVICE implementation so that 
	this can be used. 

2007-04-17  Shilpa Musti  <Shilpa.Musti@nokia.com>

	* Bugfix in TnyCamelTransportAccount

2007-04-17  Philip Van Hoof  <pvanhoof@gnome.org>

	* Further implementing of TnyMergeFolder
	* Bugfix in TnyGtkHeaderListModel
	* Updates to the documentation

2007-04-17  Sergio Villar Senin  <svillar@iga1ia.com>

	* Fixed a build error regarding the new TnyMaemoConicDevice

2007-04-17  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Add the TnyMaemoConicDevice, which exposes libconic-specific
	functionality. When built for scratchbox, it tries to work in 'dummy
	mode', to make it still somewhat functional, even though connectivity
	does not work in scratchbox. The conic-specifics are only lightly
	tested. and need work, esp. for doing something in sbox

	* TnyMaemoDevice goes back to the dummy it was before, so this should
	make pre-libconic compiles (770) also possible; not tested though.

2007-04-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Introduction of the TnyMergeFolder type

	* This was a major API change

2007-04-13  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* remove #include for removed tny-maemo-password-dialog.h,
	  this broke the compilation

2007-04-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added skeleton for ACAP support
	* Major modifications to the 'getting of passwords'
	* Introduction of the TnyPasswordGetter interface

	* This was a major API change

2007-04-11  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed ticket #40

2007-04-11  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Improve tny-maemo-device so it works a bit better

2007-03-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for low, high and normal X-Priority
	* Auto updating the unread count of TnyFolderObservers when unread
	flags are set on a TnyHeader
	* Fixed incrementally filling up a GtkTreeView while downloading is
	taking place (this needs a few small performance improvements btw).	

	* This was a major API change

2007-03-27  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-store-account.c: added a missing folder
	reference when getting folders

2007-03-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for filling up the header view (a.k.a. the summary view)
	with already or recently downloaded information while downloading is
	taking place. Take a look at the demo user interface's code to learn
	how to leverage this feature: You basically need to register the list
	(which will for example be a TnyGtkHeaderListModel instance) with the
	TnyFolderMonitor before launching the tny_folder_refresh_async method.

	* This ain't an API change, but this new feature does make more
	possible with the same API. It might also change behaviour a little
	bit (although it shouldn't for the old-style of using the 
	TnyFolderMonitor, or at least not as far as I know and tested).

2007-03-23  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for X-Priority and X-MSMail-Priority
	* Experimental support for quickly detecting attachments availability

2007-03-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* Although this needs a lot testing, potential fix for ticket #30

2007-03-19  Philip Van Hoof  <pvanhoof@gnome.org>

	* camel-lite: added some additional locking to narrow down 
	Ticket #27's problem

2007-03-17  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymail-test: fixed a compilation error and a compilation
	warning in two unit tests

2007-03-16  Dirk-Jan C. Binnema  <dirk-jan.binnema@nokia.com>
	
	* changed license to LGPL for some files which were mistakenly marked
	GPL

2007-03-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* Design by contract assertions
	* tny_account_store_find_account API added
	* tny_folder_find_msg API added

	* This was a major API change

2007-03-16  Sergio Villar Senin  <svillar@iga1ia.com>

	* libtinymailui/tny-msg-view.c: fixed a typo in a function name
	* libtinymail/tny-folder.c: fixed a DBC assertion

2007-03-15  Philip Van Hoof  <pvanhoof@gnome.org>

	* Design by contract assertions

2007-03-15  Sergio Villar Senin  <svillar@iga1ia.com>

	* tests/funtional: added a functional test to transfer folders
	* libtinymail-camel/tny-camel-session.c: removed the first_switch
	attribute of TnySessionCamel
	* libtinymailui-gtk/tny-gtk-folder-store-tree-model.c: the deleter
	method now returns just after deleting a row
	* libtinymail-camel/tny-camel-folder.c: 
	Added some error management code when loading folders
	Added notification code to tny_camel_folder_copy_folder

2007-03-14  Juerg Billeter <j@bitron.ch>

	* libtinymail/tny-mime-part.c: Design by contract assertions

2007-03-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* tny_folder_store_remove now specifies and its implementation will
	unsubscribe all the observers of the folder being removed.
	* Design by contract assertions

	* This was a major API change

2007-03-14  Sergio Villar Senin  <svillar@iga1ia.com>

	* Fixed an issue with ACLOCAL_FLAGS in the autogen.sh

2007-03-11  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added the TnyFolderCaps API
	* Improved the tny_folder_copy and tny_folder_transfer_msgs
	implementations to support notifying folder observers about the
	changes that happened

	* This was a major API change

2007-03-10  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added tny_folder_get_url_string and tny_msg_get_url_string APIs
	* Made tny_account_get_url_string consistent in constness with the
	other get_url_string's

	* This was a major API change

2007-03-09  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added the tny_account_store_find_account API. It's possible that in
	future a set and get find strategy API will be added. For now, finding
	using only the url-string will suffice (and adding the find strategy
	later wont break the existing API, or at least doesn't have to as far
	as I can see now -- I might laugh at this entry in future, we'll see)
	
	* Changes to the TnyAccountStore implementations, it's more typical 
	now to let the account store store the instances internally, rather 
	than letting it always return new instances. How else are you going 
	to find the original TnyAccount instance with 
	tny_account_store_find_account?

	* Added the tny_account_matches_url_string API, to determine whether a
	specific account instance matches a specific url_string.

	* This was a major API change

2007-03-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfixes for summary items and writing them to disk, keeping the
	local array in sync with that is on disk
	* Reimplementation of the TnyGtkHeaderListModel, to use a GPtrArray in
	stead of a GList: should be both faster and less memory consuming
	* Removed some non-used camel-lite functionality and symbols

2007-03-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix for ticket #26
	* Major changes in the TnyCamelHeader type
	* A new type called TnyCamelMsgHeader
	* Changes in the TnyCamelFolder type
	* API changes in the TnyPlatformFactory interface
	* Memory consumption reduction (major ones)
	* Split and cleanup of the TnyHeader implementations
	* Produced patch for Modest to cope with the changes

	* This was a major API change in libtinymailui and libtinymail-camel

2007-03-04  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* Small update for tny-maemo-device

2007-03-04  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix for trac ticket #25
	* Created a new libtinymail-camel API:
	tny_camel_store_account_factor_folder
	* Implemented a factor_folder for TnyCamelPopStoreAccount
	* Implemented a rename for TnyCamelPopFolder

	* This was an API change for libtinymail-camel

2007-03-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added the TnyFolderStats type

	* This was a major API change

2007-03-01  Philip Van Hoof  <pvanhoof@gnome.org>

	* Fixed THE flags bug (size was swapped with the flags field when
	reading from the summary file)

2007-02-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Folder's unread count, total count and local size fixes

2007-02-23  Philip Van Hoof  <pvanhoof@gnome.org>

	* tny_account_cancel API

	* This was a major API change

2007-02-20  Philip Van Hoof  <pvanhoof@gnome.org>

	* Disabled the LIST with LSUB merging (it just doesn't sound right to
	do this, yet Evolution's Camel does this, as a result did camel-lite
	it too. No longer, for now).

2007-02-19  Sergio Villar Senin  <svillar@iga1ia.com>

	* TnyCamelFolder: Replaced the folder lock by a recursive static
	folder lock

2007-02-18  Philip Van Hoof  <pvanhoof@gnome.org>

	* Various fixes for the folder create, rename and delete functionality

2007-02-16  Philip Van Hoof  <pvanhoof@gnome.org>

	* TnyFolderObserver notifications
	* TnyFolderStoreObserver notifications
	* Implementation for poke() in tnycamelfolder
	* Lot's of fixes to the TnyFolderStoreObserver infrastructure
	* First pieces of letting TnyGtkFolderStoreTreeModel become a
	self-responsible TnyFolderStoreObserver and TnyFolderObserver (letting
	it act on changes)

2007-02-16  Sergio Villar Senin  <svillar@iga1ia.com>

	* Added tny_folder_get_folder_store(): retrieves the folder store
	of a given folder

2007-02-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* TnyFolderStoreObserver notifications

2007-02-14  Oystein Gisnas  <oystein@gisnas.net>

	* Maemo packaging scripts: add missing .install for lib-maemo

2007-02-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Introduction of the TnyFolderStoreChange and TnyFolderStoreObserver

2007-02-13  Philip Van Hoof  <pvanhoof@gnome.org>

	* Various error handling situations when the IMAP service went offline
	or something with the connection happened
	* Connection fails, retry after reconnect stuff

2007-02-13  Oystein Gisnas  <oystein@gisnas.net>

	* Maemo packaging scripts: split into one package per library

2007-02-12  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for EXPUNGE and FETCH unsolicited events during IDLE. This
	should complete the support for IDLE and Push-Email. From now on we
	can start truly testing this.

2007-02-12  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
	
	* Make TnyCamelSendQueue subclassable - add accessors
	  for setting the TnyCamelTransportAccount, and _flush

2007-02-10  Philip Van Hoof  <pvanhoof@gnome.org>

	* Various bugfixes for the IDLE feature
	* Error reporting for the TnySendQueue
	* Bugfix for the Maildirs of the tnycamelsendqueue
	* Support in the IDLE (Push E-mail) feature for EXPUNGE
	* Major rewrites in camel-lite and important changes related to memory
	and reference counting in TnyCamelFolder and CamelFolder. Please keep
	an eye on memory from now on, as things related to reference counting
	of folders has changed.
	* Added reference debugging instrumentation to camel-lite
	* Rewrote certain parts of the IDLE support
	* Bugfixes in the condstore support

	* This was a major API change

2007-02-08  Philip Van Hoof  <pvanhoof@gnome.org>

	* Removed the public constructor of TnyCamelFolder, use the private
	one if you really need it (normal people don't, and you can make the
	library crash of you use it wrongfully)
	* A factory for TnyCamelFolder instances will be put in place soon.

	* This was a major API change

2007-02-07  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for non-blocking read in the SSL streams
	* Various bugfixing on the IDLE feature
	* Various bugfixing on summaries and disconnecting, reconnecting

2007-02-06  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* update TnyMaemoDevice

2007-02-06  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for IMAP IDLE (RFC 2177)

2007-02-05  Philip Van Hoof  <pvanhoof@gnome.org>

	* Bugfix for issue #10

2007-02-02  Philip Van Hoof  <pvanhoof@gnome.org>

	* CamelDiscoStore and CamelDiscoFolder implementation of the POP3
	provider of camel-lite. This means that the POP3 support now supports
	offline viewing E-mails
	* Changed a silly internal libtinymail-camel API

	* This was a major API change in libtinymail-camel

2007-01-31  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
	
	* fix some camel leaks

2007-01-31  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-session-camel: fixed some wrong
	initializations

2007-01-31  Philip Van Hoof  <pvanhoof@gnome.org>

	* Support for BINARY responses from IMAP servers that have the BINARY
	capability

2007-01-30  Philip Van Hoof  <pvanhoof@gnome.org>

	* Little bugfix. Max line size of an E-mail is now MAX_LINE_SIZE
	* Cleaning up old code, fixing bug in the tny-session-camel.c
	* Cleaned up the support for POP3 in tny-camel-pop-store-account.c
		* Cleaned up the connecting
		* Cleaned up the disabled old code

2007-01-29  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Implemented tny-maemo-device (first version)

2007-01-29  Philip Van Hoof  <pvanhoof@gnome.org>

	* Finally, asynchronously connecting. Though, it's experimental.
	* Various error checking and while-connecting error throwing
	* Bugfix when an account was unable to connect (the other accounts did
	strange things when trying to get messages), on the camel-lite IMAP
	provider.

2007-01-28  Philip Van Hoof  <pvanhoof@gnome.org>

	* Lots of small bugfixes and testing. Also a few code boutifications

2007-01-27  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* Added some temporary hack for the pop3 provider to not
	  crash; this will be replaced by a real solution later, but for now
	  we just don't want the crashes.

2007-01-27  Philip Van Hoof  <pvanhoof@gnome.org>

	* First LEMONADE feature, implemented support for the CONDSTORE 
	capability in camel-lite's IMAP provider (RFC 4551)
	* Changed some things about connecting, including the introduction of
	a new api tny_account_try_connect. All this connecting stuff is yet
	uncertain though.

	* This was a major API change

2007-01-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added the tny_account_set/get_mech API

	* This was a major API change

2007-01-26  Sergio Villar Senin <svillar@iga1ia.com>

	* Fixed the implementation of tny_camel_header_get_xxx methods. Now
	they return NULL whenever an error happens (or if the attribute hasn't
	a value yet) instead of the string "Invalid". The documentation has
	been updated also.

2007-01-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* Renamed tny_folder_expunge to tny_folder_sync, and made it possible
	to sync without expunging

	* This was a major API change

2007-01-25  Sergio Villar Senin <svillar@iga1ia.com>

	* Fixed a comparison in an if statement

2007-01-25 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* Added TNY_FOLDER_TYPE_ARCHIVE and TNY_FOLDER_TYPE_NUM

2007-01-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* Added a CamelStreamGZip which might someday be used to support the
	COMPRESS capability of some LEMONADE-enabled IMAP servers. This new
	type is experimental and not sufficiently tested for real use.

2007-01-24  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-mime-part.c: added a missing unlock

2007-01-23  Philip Van Hoof <pvanhoof@gnome.org>

	* Several locking fixes when retrieving summary info
	* Performance improvements in camel-imap-folder.c
	* Bandwidth improvements for the IMAP provider

2007-01-22  Philip Van Hoof <pvanhoof@gnome.org>

	* Preperation for notification of changes in folders, mostly bugfixes
	* More camel-folder-summary.c memory corruption bugfixes 
	* Added for-now unstable camel-lite API: camel_store_get_recent_messages
	Do not yet use this API, unless you want to screwup your IMAP
	connection significantly enough to make using tinymail impossible.
	* Several bugfixes in CamelImapFolder
	* Invalid UTF-8 in TnyGtkTextBufferStream solution
	* Removed an unneeded hashtable from CamelFolderSummary, reducing
	memory consumption
	* Performance improvements

2007-01-21  Philip Van Hoof <pvanhoof@gnome.org>

	* Preperation for notification of changes in folders, mostly bugfixes
	* Important bugfix for camel-folder-summary.c when creating new
	CamelMessageInfo instances without having a summary instance (the size
	was too small)
	* Compile with -DIM_TESTING in the CFLAGS to see the TnyFolderMonitor
	in action already

2007-01-19  Philip Van Hoof <pvanhoof@gnome.org>

	* Preparations for notification of changes in folders

2007-01-17  Philip Van Hoof <pvanhoof@gnome.org>

	* Introduction of TnyFolderChange, TnyFolderObserver, TnyFolderMonitor
	* Updated Python bindings

	* This was a major API change in all

2007-01-17  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: fixed a bug in folder renaming
	* libtinymailui-gtk/tny-gtk-msg-view.c: added a missing macro in a
	function call
	* libtinymailui/tny-msg-view.c: added tny_msg_view_clear prototype to
	the header file

2007-01-16  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Added the MESSAGE_SIZE column to the TnyGtkHeaderListModel

	* This was a API change in libtinymailui-gtk

2007-01-16  Philip Van Hoof <pvanhoof@gnome.org>

	* Preparations for size limited retrieval
	* Major refactoring for the flags of messages
	* Support for the size attribute in TnyHeader on IMAP
	* Support for the size attribute in TnyHeader on POP
	* More precision in the status handling (for progressbars). No more
	percentages but actual "sofar" and "oftotal" numbers
	
	* This was a major API change in camel-lite
	* This was a major API change in all
	* This change influenced the on-disk cache

2007-01-14  Philip Van Hoof <pvanhoof@gnome.org>

	* Implementation for TNY_HEADER_FLAG_CACHED and
	TNY_HEADER_FLAG_PARTIAL for IMAP and POP3
	* Introduction of TNY_HEADER_FLAG_CACHED and 
	TNY_HEADER_FLAG_PARTIAL in the TnyHeader type
	* Introduction of new API tny_send_queue_cancel
	* Improvements on status reporting (percentage completed when
	refreshing summary information of both POP3 and IMAP folders)

	* This was a major API change

2007-01-13  Philip Van Hoof <pvanhoof@gnome.org>

	* Introduction of the TnyLockable type
	* Implementation of TnyGtkLockable and TnyNoopLockable
	* Ui locking in TnySessionCamel
	* Async authentication in TnySessionCamel
	* Async alerts in TnySessionCamel
	* Updated API documentation

	* This was a major API change

2007-01-12  Philip Van Hoof <pvanhoof@gnome.org>

	* Refreshing POP folders, bugfix

2007-01-11  Philip Van Hoof <pvanhoof@gnome.org>

	* Implemented partial message retrieval for POP
	* Implemented detecting partial retrieval status for POP

2007-01-10  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* Fix tiny leak in tny_folder_store_query_add_item

2007-01-10  Philip Van Hoof <pvanhoof@gnome.org>

	* Improved the camel-lite POP summary support by detecting the TOP
	capability

2007-01-09  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* Added some extra TnyFolderType's for use in tinymail clients

2007-01-09  Philip Van Hoof <pvanhoof@gnome.org>

	* Temporary POP implementation (CamelFolderSummary support)

2007-01-09  Philip Van Hoof <pvanhoof@gnome.org>

	* Implemented a very memory efficient message fetching mechanism in
	camel-lite (it uses streams rather than copying things in memory)
	* Improved the partial message retrieval with this new method too
	* Partial retrieval status detection
	* Added the TnyPair type
	* Added the tny_mime_part_get_header_pairs API

	* This was a major API change

2007-01-08  Philip Van Hoof <pvanhoof@gnome.org>

	* Implemented first pieces of the partial message retrieval
	* Further implemented TnyCamelPopFolder and TnyCamelPopAccount

2007-01-04  Philip Van Hoof <pvanhoof@gnome.org>

	* Created the TnyMsgReceiveStrategy infrastructure
	* Implemented TnyCamelFullMsgReceiveStrategy
	* Implemented dummy-copy of TnyCamelPartialMsgReceiveStrategy
	* Updated the documentation
	* Updated the Python bindings for this
	* Adjusted the camel-lite API to cope with upcoming partial message
	retrieval features

	* This was a major API change

2007-01-03  Philip Van Hoof <pvanhoof@gnome.org>

	* Porting to the one laptop per child project laptop
	* Created marketing demo video about tinymail on the OLPC, posted on 
	tinymail.org and youtube
	* Analysis of partial message retrieval
	* Created documentation item about partial message retrieval

2007-01-02  Philip Van Hoof <pvanhoof@gnome.org>

	* Created new documentation items
	* Created camel-lite internal documentation items

2007-01-02  Sergio Villar Senin <svillar@iga1ia.com>
	* Replaced an include that prevented the documentation from being
	built

2006-12-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Various fixes about creating and sending E-mails
	* Added a TnyCamelMemStream type
	* Added a msg-send test

2006-12-25  Philip Van Hoof <pvanhoof@gnome.org>

	* TnyPlatformFactory: Added new_msg, new_header and new_mime_part

	* This was a major API change

2006-12-21  Sergio Villar Senin <svillar@iga1ia.com>

	* docs/devel/reference/Makefile.am: added the path where to look
	for the includes of the tests

2006-12-20  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed a few reference counting problems too

2006-12-18  Øystein Gisnås  <oystein@gisnas.net>

	* Fixed a few reference counting problems 
	
2006-12-16  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixes and simplification of API for RFC822 support

2006-12-16  Øystein Gisnås  <oystein@gisnas.net>

	* libtinymail-test/: Some unit test improvements and added two new
	unit tests
	* Documentation fixes in TnyList

2006-12-15  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite/camel: merging interesting bits and
	pieces with upstream Camel

2006-12-14  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-store-account.c:
	* libtinymail-camel/tny-camel-folder.c: replaced some double pointers
	by simple pointers. Fixed some uninitialized GError's

2006-12-11  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail/tny-folder.h: added the tny_folder_get_msg_async
	signature to the list of public methods

2006-12-10  Philip Van Hoof <pvanhoof@gnome.org>

	* Committed unfinished copy/moving of folders

	* This was a major API change in libtinymail

2006-12-08  Øystein Gisnås  <oystein@gisnas.net>

	* Ported GUnit unit tests to Check

2006-12-08  Philip Van Hoof <pvanhoof@gnome.org>

	* Added the tny_folder_transfer_msgs_async API
	* Implemented for libtinymail-camel
	* Fixed some progress/status numbers and changed its API

	*  This was a major API change

2006-12-07  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-header.c: Added a default camel
	implementation for tny_header_set/get_replyto

2006-12-06  Philip Van Hoof <pvanhoof@gnome.org>

	* Added the tny_folder_get_msg_async API
	* Implemented tny_camel_folder_get_msg_async

	* This was a major API change in libtinymail

2006-12-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Support for content-objects in RFC822 messages

	* This was a major API change

2006-11-30  Sergio Villar Senin <svillar@iga1ia.com>
	* libtinymail-camel/tny-camel-common.c: a store query with no items
	filters nothing

2006-11-30  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfixes and Maildir implementations for TnyCamelSendQueue
	* Renamed TnyGtkAccountTreeModel to TnyGtkFolderTreeModel and adapted
	the type to accept any TnyFolderStore instance

	* This was a major API change in libtinymailui-gtk

2006-11-28  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed various locking and error handling problems
	* Fixed support for unread-message count

2006-11-27  Philip Van Hoof <pvanhoof@gnome.org>

	* Added the first pieces for error reporting and support
	* Added error reporting and checking in a lot methods and types
	* Adapted the Python bindings to support error checking

	* This was a major API change in all libraries

2006-11-27  Øystein Gisnås <oystein@gisnas.net>

	* Added an API unit test suite for testing
	  against libraries currently installed on the system

2006-11-26  muppet <scott@asofyet.org>

	* tools/gtypeinterface-h-files-to-c-file.pl: Rewrite and major
	improvements

2006-11-26  Philip Van Hoof <pvanhoof@gnome.org>

	* tools/gtypeinterface-h-files-to-c-file.pl: Initial implementation

2006-11-23  Philip Van Hoof <pvanhoof@gnome.org>

	* The mail-sending API, fine tuning

	* This is a major API change in libtinymail

2006-11-24  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: initilize a CamelException
	* libtinymail-camel/tny.camel-store-account.c: added a folder
	unsubscription before a folder delete

2006-11-23  Thomas Viehmann <tv@beamnet.de>

	* Improvements for the debian package

2006-11-23  Philip Van Hoof <pvanhoof@gnome.org>

	* Major fixes and refactoring for the rfc822 support
	* Reimplemented TnyGtkMsgWindow
	* Added a tny_msg_view_create_new_inline_viewer API

	* This was a major API change in libtinymailui & libtinymailui-gtk

2006-11-23  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-folder.c: added support to rename
	folders
	* libtinymail-camel/tny-camel-store-account.c: refactored the
	subscriptions code
	* libtinymail-gnome-desktop/tny-gnome-account-store.c: removed a small
	leak

	* This was a major API change in libtinymail

2006-11-21  Sergio Villar Senin <svillar@iga1ia.com>

	* Fixed a bug when subscribing new folders
	* Added the signal "subscription_changed" to TnyStoreAccount
	* Added a query to TnyGtkFolderStoreTreeModel
	* tinymail/tny-demoui-summary-view.c: now asks only for the
	subscribed folders

	* This was a major API change in libtinymailui-gtk

2006-11-21  Philip Van Hoof <pvanhoof@gnome.org>

	* Major changes in TnyMsg and TnyMimePart
	* First support for message/rfc822 messages
	* API documentation enhancements
	* Date fixes in TnyCamelHeader
	
	* This was a major API change in all libraries

2006-11-20  Philip Van Hoof <pvanhoof@gnome.org>

	* A new style of handling mime parts
	* First building blocks for supporting message/rfc822
	* Should-be bugfix for an issue in camel-lite's mime-parser on ARM

2006-11-20  Sergio Villar Senin <svillar@iga1ia.com>

	* Improved the support for subscribing and ubsubscribing folders
	* Improved creating new folders

2006-11-17  Philip Van Hoof <pvanhoof@gnome.org>

	* A few s/g_new/g_slice replacements

2006-11-17  Don Scorgie <DonScorgie@Blueyonder.co.uk>

	* Fix for Mozilla bug: http://bugzilla.gnome.org/show_bug.cgi?id=157941
	(comments #46-#51 discuss the problem)
	* Copied the fix from Yelp to libtinymail-mozembed by Philip

2006-11-17  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail/tny-folder.h
	* libtinymail/tny-folder.c: added tny_folder_transfer_msgs for
	copying/moving messages between folders

	* libtinymail-camel/tny-camel-folder.h
	* libtinymail-camel/tny-camel-folder.c: added a default Camel
	implementation for tny_folder_transfer_msgs method

	* test/functional/Makefile.am
	* test/functional/msg-transfer.c: added this program to test
	tny_folder_transfer_msgs implementation

2006-11-16  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: Fixed a rather big memory leak when
	downloading new messages happened
	* Added a basic first Camel implementation for TnySendQueue

2006-11-16  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail/tny-folder-store-query.c
	(tny_folder_store_query_item_get_type): replaced TnyFolderStoreQuery
	by TnyFolderStoreQueryItem in the instance size field 

2006-11-15  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymailui-mozembed: fixes for the Gecko support

2006-11-14  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymailui-mozembed: fixes for the Gecko support

2006-11-13  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: moved some scripts in the configure.ac
	to the m4 directory to simplify migrating to the toplevel configure.ac
	once
	* libtinymail-camel: Reference counting of returned Camel types

	* This was a major API change in libtinymail-camel

2006-11-13  Øystein Gisnås <oystein@gisnas.net>

	* debian/: Dependencies
	* README: Some documentation updates

2006-11-12  Philip Van Hoof <pvanhoof@gnome.org>

	* Corrected the MimePartSaveStrategy pattern method naming
	* Various gtk-doc fixes
	* Added the tny_folder_add_msg API and implemented it for TnyCamelFolder

	* This was a major API change

2006-11-12  Øystein Gisnås <oystein@gisnas.net>

	* debian/: Added debian package information and environment

2006-11-11  Øystein Gisnås <oystein@gisnas.net>

	* libtinymail-camel/camel-lite/Makefile.am: make distcheck fix

2006-11-09  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/camel-lite/camel/providers/imap/camel-imap-folder.c:
	removed a blank space at the end of CAMEL_MESSAGE_INFO_HEADERS
	that caused an error when trying to fetch messages from an IMAP
	server.

2006-11-09  Philip Van Hoof <pvanhoof@gnome.org>

	* Introduction of the new TnySendQueue interface
	* Added a lot assertions to check for type safety
	* Made expunging of a folder work while headers are still active.
	Removed the limitation (denying the expunge to happen) and fixed the
	mmap camel-folder-summary.c implementation to support this.

	* This was a major API change

2006-11-06  Philip Van Hoof <pvanhoof@gnome.org>

	* Introduction of the TnyMsgRemoveStrategy, which makes it more
	flexible to define how tinymail should remove messages (as this might
	be specific per device). Although this means a major API change, not a
	lot external API has changed. A default remove strategy is used for
	each folder and is implemented as TnyCamelMsgRemoveStrategy. This
	is an overwritable property.

	* Made a bunch of types their implementation methods virtual
	(overwritable when inheriting the type)

	* This was a major API change

2006-11-06  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/tny-camel-transport-account.c: adds the addresses
	of the cc and bcc fields to the list of	recipients when sending an 
	email with camel
	
2006-11-06  Philip Van Hoof <pvanhoof@gnome.org>
	
	* Build environment improvements

2006-11-03  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel: Some bugfixes for when sendings E-mails

2006-11-01  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: Restored the OpenSSL support

2006-10-30  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: Build environment simplificiations

2006-10-27  Sergio Villar Senin <svillar@iga1ia.com>

	* libtinymail-camel/camel-lite: Added xulrunner-nspr/nss as possible
	nspr and nss packages
	* libtinymail-camel/libtinymail-camel.pc.in: Bugfix

2006-10-27  Philip Van Hoof <pvanhoof@gnome.org>

	*  libtinymail-camel/camel-lite: NSPR & NSS detection, bugfix

2006-10-26  Philip Van Hoof <pvanhoof@gnome.org>

	*  libtinymail-camel/camel-lite: Aggressive memory reductions by
	removing unused features and fields from Camel

2006-10-25  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: Applied patch #75412 of Bug #363695
	which was done by Matthew Barnes (porting the patch from evolution-
	data-server to camel-lite)
	* libtinymail-camel/camel-lite: Bugfixes (important ones)
	
2006-10-24  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: All sorts of bugfixes

2006-10-23  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: Drastic reduction of memory
	consumption on initial download of both IMAP and NNTP folders.
	* libtinymail-gnome-desktop: Default status of the device is now
	offline in stead of online (for example in case network manager
	installation was invalid or not found)
	* Bugfix reported by Nitin.Mahajan@nokia.com
	* libtinymail-camel/camel-lite: Merging with Matthen Barnes's stuff

2006-10-20  Sankarshan Mukhopadhyay <sankarshan.mukhopadhyay@gmail.com>

	* docs/deve/reference/libtinymail-docs.sgml: Language corrections in
	the introduction of the API reference documentation.

2006-10-20  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite: Allocation of the CamelFolderInfo is
	now with GSlice in stead of many different malloc ways. This one needs
	testing!

2006-10-19  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel: bugfix in tny-camel-store-account.c
	* libtinymail-camel/camel-lite: Merged with new stuff from Matthew
	* Memory consumption reduction in libtinymail-camel/camel-lite

2006-10-18  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/camel-lite/: EMsgPort, EThread, EMutex and
	EMemChunk replacements with modern glib infrastructure like
	GAsyncQueue, GThread, GMutex and g_slice_alloc

2006-10-17  Philip Van Hoof <pvanhoof@gnome.org>

	* Added libtinymail-camel/camel-lite
	* Made a huge amount of compiler warning fixes to libtinymail-camel/camel-lite
	* Reorganization of some build scripts
	* Fixed the tests and unit tests
	* Fixed the documentation build procedure

2006-10-16  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed the Python bindings
	* Added lots of code samples to the API reference documentation

	* This was a major API change in the Python bindings

2006-10-15  Philip Van Hoof <pvanhoof@gnome.org>

	* Major refactoring in the TnyMimePartSaveStrategy stuff
	* Introduced a new client-type for the strategy pattern:
	the TnyMimePartSaver
	* Removed all saving functionality from the default gtk+
	types: the developer who will create an E-mail client is
	the person who should connect the dots (inherit a TnyMsgView
	and/or a TnyMimePartView, or implement it fully, and let that
	type also implement the TnyMimePartSaver)
	* Renamed TnySaveStrategy to TnyMimePartSaveStrategy

	*  This was a major API change in libtinymailui
	
2006-10-13  Philip Van Hoof <pvanhoof@gnome.org>

	* Added the TnyGtkAttachmentMimePartView type

	*  This was a major API change in libtinymailui-gtk
	
2006-10-12  Philip Van Hoof <pvanhoof@gnome.org>

	* The new TnyMimePartView API
	* The TnyMimePartView API implemented for Gtk+
	* The TnyMimePartView API implemented for GtkMozEmbed

	* This was a major API change in libtinymailui
	 
2006-09-26  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfix in tny-camel-folder.c, added documentation aid
	* Fixed possible memory leak

2006-09-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Aggressively hardened the TnyCamelFolder implementation. This
	hardening isn't good for debugging, as major bugs and mistakes now
	won't crash. Therefore it's possible that some hardening is going to
	come inbetween #ifdef/#endif's so that developers still get a crashing
	tinymail. However. I soon want to release, therefore this hardening
	tries to on forehand detect problems with the CamelFolder instance.

	These problems specifically arise when CamelOperation cancellations
	have happened. The problem is that the instance (priv->folder) isn't
	always a CamelFolder anymore (especially after cancellation). Sure
	this is a Camel bug or probably a Camel bug, but tinymail crashes
	cause of it. Tinymail's 1.0 release shouldn't crash, period.

	This doesn't mean that I will leave this work-around hack for what it
	is. I will indeed investigate and find the real bug that is causing
	this to happen. Why else do you think I leave a big fat fucking note
	in the ChangeLog for everybody to see?

	Feel free to help me spot it, and/or fix it.

2006-09-19  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed compilation for OLPC, GPE and Maemo platforms

2006-09-17  Philip Van Hoof <pvanhoof@gnome.org>

	* Changed the length method of the TnyList interface to get_length as
	it's a normal property like any other
	* Changed the eos method of the TnyStream interface to is_eos as it's
	a normal property like any other
	* Changes to the subscribe/unsubscribe API in TnyFolder

	* This was a major API change

2006-09-14  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfixes in the list types found after improving a few unit tests
	* Bugfixes in the stream types found after improving a few unit tests
	* Fixed the TnyFsStream, TnyGtkTextBufferStream and TnyVfsStream types

2006-09-13  Philip Van Hoof <pvanhoof@gnome.org>

	* Removed silly API in TnySessionCamel, solved the need for the API internally
	* Bug fixes in TnySessionCamel
	* Introduction of TnyGtkFolderTreeModel (however, it's atm unfinished)
	* Introduction of TnyGtkAccountListModel which could be useful for for
	example the GtkComboBox view component, the TnyGtkFolderStoreTreeModel
	doesn't change in functionality. It's also likely that a
	TnyGtkFolderStoreTreeModel will also be implemented at some point. The
	TnyGtkAccountListModel in combination with such a
	TnyGtkFolderStoreTreeModel used on a GtkComboBox and a GtkTreeView would
	mimic the behaviour of the TnyGtkFolderStoreTreeModel on a GtkTreeView by
	separating the two views (for example a combo box with accounts and a
	treeview with folders in the current account, rather than only support
	for a treeview with both accounts and folders)
	* Added documentation about the Gtk+ tree model column enumerations
	* Added documentation about tinymail enumerations

	* This was a major API change in libtinymail-camel
	
2006-09-11  Philip Van Hoof <pvanhoof@gnome.org>

	* Experimented a bit with scanvirtuals.py in bindings/python decided
	to add it
	* Fixed some guards for the folder_name of TnyCamelFolder
	* Fixed small memory leak
	* Implemented create_folder and remove_folder in TnyCamelFolder
	and TnyCamelStoreAccount
	* Fixed the signal documentation of the TnyFolder, TnyAccountStore and
	TnyDevice interfaces
	* Improved the documentation generation
	* Small fixes for the signals of above types
	* From now on will --enable-gtk-doc require --enable-tests too
	* Fixed the Python binding's get_folders_async of TnyFolderStore
	* Fixed a reference counting problem on TnyList::copy

	* This was a major API change in libtinymail

2006-09-08  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed the Python bindings
	* Fixed the TnyIterator API (current -> get_current, as it's a
	property like any other property)
	* Added lots of samples to the API reference documentation

	* This was a major API change in all libraries
	
2006-09-06  Philip Van Hoof <pvanhoof@gnome.org>

	* The big commit we have all been waiting for: Removing the Iface
	suffix from the interface types
	* This was a huge API change

	* This was a major API change in all libraries

2006-09-05  Philip Van Hoof <pvanhoof@gnome.org>

	* Renamed TnyList to TnySimpleList
	* Renamed TnySummaryView to TnyDemouiSummaryView
	* Bugfix in tny-gtk-header-list-model.c

	* This was a major API change in all libraries

2006-09-04  Philip Van Hoof <pvanhoof@gnome.org>

	* Renamed the GPE types in libtinymail-gpe
	* Renamed the Maemo types in libtinymail-maemo
	* Renamed the OLPC types in libtinymail-olpc
	* Renamed the GNOME types in libtinymail-gnome-desktop

	* Made compilation of the demo-ui optional
	* Added some ifdefs to the demo-ui

	* This was a major API change in libtinymail-gpe, libtinymail-maemo,
	libtinymail-olpc and libtinymail-gnome

2006-09-04  Philip Van Hoof <pvanhoof@gnome.org>
	
	* Renamed TnyDevice of libtestshared to TnyTestDevice
	* Renamed TnyPlatformFactory of libtestshared to
	TnyTestPlatformFactory
	* Renamed TnyAccountStore of libtestshared to TnyTestAccountStore

	* This was a minor API change

2006-09-03  Philip Van Hoof <pvanhoof@gnome.org>

	* Renamed TnySaveStrategy to TnyGtkSaveStrategy
	* Renamed TnyTextBufferStream to TnyGtkTextBufferStream
	* Bugfix in TnyMozEmbedMsgView and TnyGtkMsgView
	* Renamed TnyAccountTreeModel to TnyGtkFolderStoreTreeModel
	* Renamed TnyHeaderListModel to TnyGtkHeaderListModel
	* Renamed TnyAttachListModel to TnyGtkAttachListModel
	* Fixed several reference counting problems

	* This was a major API change in libtinymailui-gtk

2006-09-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Renamed TnyHeaderView to TnyGtkHeaderView

	* This was a major API change in libtinymailui-gtk

2006-08-31  Philip Van Hoof <pvanhoof@gnome.org>

	* Fixed some small issues in the renaming patch of Thomas and
	committed it.

	* These fixes too where a major API change in libtinymailui-gtk

2006-08-31  Thomas Hisch <t.hisch@gmail.com>

	* Renamed TnyMsgView to TnyGtkMsgView
	* Renamed TnyMsgWindow to TnyGtkMsgWindow

	* This was a major API change in libtinymailui-gtk
		
2006-08-31  Philip Van Hoof <pvanhoof@gnome.org>

	* Made TnyCamelFolder and TnyAccountStore's get_folders
	and get_folders_async methods virtual ones that can be
	overridden

	* Refactored TnyCamelStoreAccount into three types:
	TnyCamelIMAPStoreAccount, TnyCamelNNTPStoreAccount and
	TnyCamelPOPStoreAccount (todo: the folders and implementing
	custom get_folders and get_folders_async methods for NNTP
	and POP)

	* Created templates for TnyCamelPOPFolder, TnyCamelIMAPFolder
	and TnyCamelNNTPFolder

	* This was a major API change in libtinymail-camel

2006-08-30  Thomas Hisch <t.hisch@gmail.com>

	* Renamed TnyHeader to TnyCamelHeader

	* This was a major API change in libtinymail-camel
	
2006-08-30  Philip Van Hoof <pvanhoof@gnome.org>

	* Updated the platform specific libraries olpc, maemo, gpe and
	gnome-desktop to the new APIs

	* Renamed TnyAccount to TnyCamelAccount
	* Renamed TnyStoreAccount to TnyCamelStoreAccount
	* Renamed TnyCamelStream to TnyStreamCamel
	* Renamed TnyStreamCamel to TnyCamelStream
	* Renamed TnyMimePart to TnyCamelMimePart
	* Renamed TnyMsg to TnyCamelMsg
	* Renamed TnyFolder to TnyCamelFolder

	* This was a major API change in libtinymail-camel
	
2006-08-29  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
	
	* Fix type conflict in libtinymail-camel; only store accounts have
	folders anyway

2006-08-29  Thomas Hisch <t.hisch@gmail.com>

	* Bugfix in libtinymail-gnome-desktop/tny-account-store.c
	
2006-08-29  Philip Van Hoof <pvanhoof@gnome.org>

	* Updated the Python bindings a little bit
	* Documentation updates
	* Added some support for the doxygen documentation generator

2006-08-28  Philip Van Hoof <pvanhoof@gnome.org>

	*  Added unit tests for TnyFolderStoreQuery
	*  Added unit tests for TnyMsgIface
	*  Fixed some ugly memory leaks (reference count problems)
	* Implemented a first attempt of the get_folders_async API of
	TnyFolderStoreIface
	* Added a functional test folder-lister-async.c for the 
	get_folders_async API of TnyFolderStoreIface
	* Support for non-mainloop _async methods

	* This was a major API change in all

2006-08-27  Philip Van Hoof <pvanhoof@gnome.org>

	* Bugfix when switching offline and online and again getting a
	message that had been viewed already

	* Rechecked the dirty camel_object_unref hacks in tny-msg.c

2006-08-26 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* Made tinymail compile with -Wall -Werror
	* Fix some AMD64 problems
	* Fix test program (gtk_init)
	* Fix internet address parsing (camel-common)

2006-08-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Further upgraded to the new get-folders API
	* Updated the API documentation

2006-08-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Added the tny_msg_view_iface_clear API

	* This was a major API change in libtinymailui and libtinymailui-gtk

2006-08-25  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymailui-gtk/tny-account-tree-model.c: Reimplemented using the
	new TnyFolderStoreIface API

2006-08-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Speedup the new get-folders API by caching the CamelFolderStore

2006-08-25  Philip Van Hoof <pvanhoof@gnome.org>

	* Lots of files: Removed the tny_folder_iface_uncache API and replaced 
	it with a detection mechanism that automates this. It will now uncache 
	the folder once there's no more header instances of that folder being 
	referenced.

	This indeed means that the reference counting of the headers must be 
	carefully monitored and absolutely correct. Some of the changes of this
	commit included fixes for this. For example the reparenting of the 
	header instance didn't happen in the TnyMsgViewIface implementations in
	ui-gtk and ui-mozembed.

	* This was a major API change in all
	
2006-08-24  Philip Van Hoof <pvanhoof@gnome.org>

	* libtinymail-camel/tny-camel-common.c, 
	libtinymail-camel/tny-folder.c, libtinymail-camel/tny-store-account.c,
	libtinymail-camel/tny-camel-common-priv.h, libtinymail-camel/
	tny-folder-priv.h, tests/functional/folder-lister.c, libtinymail/
	tny-store-account-iface.c, libtinymail/tny-shared.h, libtinymail/
	tny-folder-store-query.c, libtinymail/tny-folder-store-iface.c, 
	libtinymail/tny-folder-store-query.h, libtinymail/tny-folder-store-
	iface.h, libtinymail/Makefile.am, libtinymail/tny-folder-iface.c: 
	The new get-folders API

	* This was a major API change in all

2006-08-23  Philip Van Hoof <pvanhoof@gnome.org>
	
	* ChangeLog: Corrected the dates
	* libtinymail-test: Implemented unit tests for TnyFolderIface
	* Made tests/shared reusable for the unit test library
	* Various fixes
	* API simplification of TnyFolderIface
	* API documentation of TnyFolderIface
	
	* This was a major API change in all
	
2006-08-22  Philip Van Hoof <pvanhoof@gnome.org>

	* tests/*: Added some tests

2006-08-20  Philip Van Hoof <pvanhoof@gnome.org>

	* Reviewed and corrected Dirk-Jan's patch of 08-08
	* Removed the has_first and has_next methods from the iterator API
	* Moved the Python demo to tests/python-demo

	* This was a major API change in all
	
2006-08-08  Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* make iterator ops next/prev/first/last/nth all void
	* g_object_ref iterator _current retval, except with headers...
	* misc small fixes (-Wall -Wextra helps...)

	* This was a major API change in all
	
2006-08-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Implemented a few new unit tests
	* Completed a few existing unit tests

2006-07-30  James Livingston <doclivingston@gmail.com>

	* bindings/python/tinymail.override: Sequence protocol, initial pieces 
	of implementation

2006-07-29  Philip Van Hoof <pvanhoof@gnome.org>

	* Improved the enums (GType'ed them)

	* This was a minor API change in all but a major one for language
	bindings
	
2006-07-29  Philip Van Hoof <pvanhoof@gnome.org>

	* bindings/python/*: Some fixes for the Python bindings
	* libtinymailui-gtk/tny-account-tree-model-priv.h, libtinymailui-gtk/
	tny-account-tree-model.h, libtinymailui-gtk/ tny-header-list-model
	-priv.h: Forward typedefs don't work well with the python binding 
	generator

2006-07-29  Gustavo J. A. M. Carneiro <gjc@inescporto.pt>

	* bindings/python/*: Some fixes for the Python bindings

2006-07-28  James Livingston <doclivingston@gmail.com>

	* bindings/python/*: Some fixes for the Python bindings

2006-07-28  Philip Van Hoof <pvanhoof@gnome.org>

	*  bindings/python/*: Some fixes for the Python bindings

2006-07-27  Philip Van Hoof <pvanhoof@gnome.org>

	*  tinymail-python/ moved to bindings/python
	*  bindings/python: reworked the python bindings

2006-07-10  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* Removed a const label

2006-07-10  Chris Lord <chris@openedhand.com>

	* Refactored TnySummaryWindowIface to TnySummaryViewIface
	* Added support for XEmbed and command-line parameters in the demo-ui

	* This was a major API change in libtinymailui and libtinymailui-gtk
	
2006-06-09  Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>

	* tny_iterator_iface_is_end method

	* This was a major API change in all
	
2006-06-07  Philip Van Hoof <pvanhoof@gnome.org>

	* Major API changes in TnyAccountStore
	
	* This was a major API change in all
	
2006-06-21  Florian Boor <florian.boor@kernelconcepts.de>

	* Make GPE TnyDevice default to be online for now.

2006-06-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Implementation and implementing
	* Lots of coding happened

2006-06-09  Florian Boor <florian.boor@kernelconcepts.de>

	* Fix endless loop sending mails.

2006-05-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Implementation and implementing
	* Lots of coding happened

2006-05-24  Florian Boor <florian.boor@kernelconcepts.de>

	* Support for mail status flags.
	* Minor fixes.

2006-04-01  Philip Van Hoof <pvanhoof@gnome.org>

	* Implementation and implementing
	* Lots of coding happened
	
2006-03-07  Raphael Slinckx <raphael@slinckx.net>

	* Added initial Python bindings
	
2006-01-17  Philip Van Hoof <pvanhoof@gnome.org>
	
	* Initial import
	* Tinymail epoch

	* This was a major API change in all
	
